#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 609
#define LARGE_STATE_COUNT 9
#define SYMBOL_COUNT 136
#define ALIAS_COUNT 4
#define TOKEN_COUNT 75
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 17

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_module = 2,
  anon_sym_EQ = 3,
  anon_sym_import = 4,
  anon_sym_provider = 5,
  anon_sym_as = 6,
  anon_sym_with = 7,
  anon_sym_LBRACE = 8,
  anon_sym_COMMA = 9,
  anon_sym_RBRACE = 10,
  anon_sym_STAR = 11,
  anon_sym_from = 12,
  anon_sym_targetScope = 13,
  anon_sym_metadata = 14,
  anon_sym_output = 15,
  anon_sym_param = 16,
  anon_sym_resource = 17,
  anon_sym_existing = 18,
  anon_sym_type = 19,
  anon_sym_var = 20,
  anon_sym_BANG = 21,
  anon_sym_EQ_GT = 22,
  anon_sym_LPAREN = 23,
  anon_sym_RPAREN = 24,
  anon_sym_AT = 25,
  anon_sym_LBRACK = 26,
  anon_sym_RBRACK = 27,
  anon_sym_COLON = 28,
  anon_sym_if = 29,
  anon_sym_for = 30,
  anon_sym_in = 31,
  anon_sym_DOT = 32,
  anon_sym_COLON_COLON = 33,
  anon_sym_QMARK = 34,
  anon_sym_PLUS = 35,
  anon_sym_DASH = 36,
  anon_sym_SLASH = 37,
  anon_sym_PERCENT = 38,
  anon_sym_PIPE_PIPE = 39,
  anon_sym_AMP_AMP = 40,
  anon_sym_PIPE = 41,
  anon_sym_EQ_EQ = 42,
  anon_sym_BANG_EQ = 43,
  anon_sym_EQ_TILDE = 44,
  anon_sym_BANG_TILDE = 45,
  anon_sym_GT = 46,
  anon_sym_GT_EQ = 47,
  anon_sym_LT_EQ = 48,
  anon_sym_LT = 49,
  anon_sym_QMARK_QMARK = 50,
  sym_number = 51,
  anon_sym_true = 52,
  anon_sym_false = 53,
  sym_null = 54,
  anon_sym_SQUOTE = 55,
  aux_sym_import_string_token1 = 56,
  aux_sym_import_string_token2 = 57,
  anon_sym_DOLLAR = 58,
  anon_sym_POUND = 59,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 60,
  sym_string_content = 61,
  sym__multiline_string_content = 62,
  aux_sym__escape_sequence_token1 = 63,
  sym_escape_sequence = 64,
  anon_sym_DOLLAR_LBRACE = 65,
  anon_sym_array = 66,
  anon_sym_bool = 67,
  anon_sym_int = 68,
  anon_sym_object = 69,
  anon_sym_secureObject = 70,
  anon_sym_secureString = 71,
  anon_sym_string = 72,
  sym_comment = 73,
  sym_diagnostic_comment = 74,
  sym_infrastructure = 75,
  sym_statement = 76,
  sym_declaration = 77,
  sym_module_declaration = 78,
  sym_import_statement = 79,
  sym_import_with_statement = 80,
  sym_import_functionality = 81,
  sym_target_scope_assignment = 82,
  sym_metadata_declaration = 83,
  sym_output_declaration = 84,
  sym_parameter_declaration = 85,
  sym_resource_declaration = 86,
  sym_type_declaration = 87,
  sym_variable_declaration = 88,
  sym_expression = 89,
  sym_primary_expression = 90,
  sym_call_expression = 91,
  sym_lambda_expression = 92,
  sym_arguments = 93,
  sym_parenthesized_expression = 94,
  sym_decorator = 95,
  sym_decorators = 96,
  sym_array = 97,
  sym_object = 98,
  sym_object_property = 99,
  sym_if_statement = 100,
  sym__lhs_expression = 101,
  sym_assignment_expression = 102,
  sym_for_statement = 103,
  sym_for_loop_parameters = 104,
  sym_member_expression = 105,
  sym_subscript_expression = 106,
  sym_resource_expression = 107,
  sym_ternary_expression = 108,
  sym_binary_expression = 109,
  sym_unary_expression = 110,
  sym__literal = 111,
  sym_boolean = 112,
  sym_string = 113,
  sym_import_string = 114,
  sym__string_literal = 115,
  sym__multiline_string_literal = 116,
  sym__escape_sequence = 117,
  sym_interpolation = 118,
  sym_compatible_identifier = 119,
  sym_type = 120,
  sym__binary_type_expression = 121,
  sym_builtin_type = 122,
  sym_primitive_type = 123,
  sym__array_builtin_type = 124,
  sym_array_type = 125,
  sym_nullable_type = 126,
  aux_sym_infrastructure_repeat1 = 127,
  aux_sym_import_functionality_repeat1 = 128,
  aux_sym_arguments_repeat1 = 129,
  aux_sym_decorators_repeat1 = 130,
  aux_sym_array_repeat1 = 131,
  aux_sym_object_repeat1 = 132,
  aux_sym__string_literal_repeat1 = 133,
  aux_sym__multiline_string_literal_repeat1 = 134,
  aux_sym__array_builtin_type_repeat1 = 135,
  alias_sym_loop_enumerator = 136,
  alias_sym_loop_variable = 137,
  alias_sym_nullable_return_type = 138,
  alias_sym_property_identifier = 139,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_module] = "module",
  [anon_sym_EQ] = "=",
  [anon_sym_import] = "import",
  [anon_sym_provider] = "provider",
  [anon_sym_as] = "as",
  [anon_sym_with] = "with",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_STAR] = "*",
  [anon_sym_from] = "from",
  [anon_sym_targetScope] = "targetScope",
  [anon_sym_metadata] = "metadata",
  [anon_sym_output] = "output",
  [anon_sym_param] = "param",
  [anon_sym_resource] = "resource",
  [anon_sym_existing] = "existing",
  [anon_sym_type] = "type",
  [anon_sym_var] = "var",
  [anon_sym_BANG] = "!",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_DOT] = ".",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [sym_number] = "number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_null] = "null",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_import_string_token1] = "import_name",
  [aux_sym_import_string_token2] = "import_version",
  [anon_sym_DOLLAR] = "string_content",
  [anon_sym_POUND] = "string_content",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [sym_string_content] = "string_content",
  [sym__multiline_string_content] = "multiline_string_content",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_array] = "array",
  [anon_sym_bool] = "bool",
  [anon_sym_int] = "int",
  [anon_sym_object] = "object",
  [anon_sym_secureObject] = "secureObject",
  [anon_sym_secureString] = "secureString",
  [anon_sym_string] = "string",
  [sym_comment] = "comment",
  [sym_diagnostic_comment] = "diagnostic_comment",
  [sym_infrastructure] = "infrastructure",
  [sym_statement] = "statement",
  [sym_declaration] = "declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_import_statement] = "import_statement",
  [sym_import_with_statement] = "import_with_statement",
  [sym_import_functionality] = "import_functionality",
  [sym_target_scope_assignment] = "target_scope_assignment",
  [sym_metadata_declaration] = "metadata_declaration",
  [sym_output_declaration] = "output_declaration",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_resource_declaration] = "resource_declaration",
  [sym_type_declaration] = "type_declaration",
  [sym_variable_declaration] = "variable_declaration",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_call_expression] = "call_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_arguments] = "arguments",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_decorator] = "decorator",
  [sym_decorators] = "decorators",
  [sym_array] = "array",
  [sym_object] = "object",
  [sym_object_property] = "object_property",
  [sym_if_statement] = "if_statement",
  [sym__lhs_expression] = "_lhs_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_for_statement] = "for_statement",
  [sym_for_loop_parameters] = "for_loop_parameters",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_resource_expression] = "resource_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym__literal] = "_literal",
  [sym_boolean] = "boolean",
  [sym_string] = "string",
  [sym_import_string] = "import_string",
  [sym__string_literal] = "_string_literal",
  [sym__multiline_string_literal] = "_multiline_string_literal",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_interpolation] = "interpolation",
  [sym_compatible_identifier] = "compatible_identifier",
  [sym_type] = "type",
  [sym__binary_type_expression] = "_binary_type_expression",
  [sym_builtin_type] = "builtin_type",
  [sym_primitive_type] = "primitive_type",
  [sym__array_builtin_type] = "_array_builtin_type",
  [sym_array_type] = "array_type",
  [sym_nullable_type] = "nullable_type",
  [aux_sym_infrastructure_repeat1] = "infrastructure_repeat1",
  [aux_sym_import_functionality_repeat1] = "import_functionality_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_decorators_repeat1] = "decorators_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat1] = "_multiline_string_literal_repeat1",
  [aux_sym__array_builtin_type_repeat1] = "_array_builtin_type_repeat1",
  [alias_sym_loop_enumerator] = "loop_enumerator",
  [alias_sym_loop_variable] = "loop_variable",
  [alias_sym_nullable_return_type] = "nullable_return_type",
  [alias_sym_property_identifier] = "property_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_provider] = anon_sym_provider,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_targetScope] = anon_sym_targetScope,
  [anon_sym_metadata] = anon_sym_metadata,
  [anon_sym_output] = anon_sym_output,
  [anon_sym_param] = anon_sym_param,
  [anon_sym_resource] = anon_sym_resource,
  [anon_sym_existing] = anon_sym_existing,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [sym_number] = sym_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_null] = sym_null,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_import_string_token1] = aux_sym_import_string_token1,
  [aux_sym_import_string_token2] = aux_sym_import_string_token2,
  [anon_sym_DOLLAR] = sym_string_content,
  [anon_sym_POUND] = sym_string_content,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [sym_string_content] = sym_string_content,
  [sym__multiline_string_content] = sym__multiline_string_content,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_array] = anon_sym_array,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_secureObject] = anon_sym_secureObject,
  [anon_sym_secureString] = anon_sym_secureString,
  [anon_sym_string] = anon_sym_string,
  [sym_comment] = sym_comment,
  [sym_diagnostic_comment] = sym_diagnostic_comment,
  [sym_infrastructure] = sym_infrastructure,
  [sym_statement] = sym_statement,
  [sym_declaration] = sym_declaration,
  [sym_module_declaration] = sym_module_declaration,
  [sym_import_statement] = sym_import_statement,
  [sym_import_with_statement] = sym_import_with_statement,
  [sym_import_functionality] = sym_import_functionality,
  [sym_target_scope_assignment] = sym_target_scope_assignment,
  [sym_metadata_declaration] = sym_metadata_declaration,
  [sym_output_declaration] = sym_output_declaration,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_resource_declaration] = sym_resource_declaration,
  [sym_type_declaration] = sym_type_declaration,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_arguments] = sym_arguments,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_decorator] = sym_decorator,
  [sym_decorators] = sym_decorators,
  [sym_array] = sym_array,
  [sym_object] = sym_object,
  [sym_object_property] = sym_object_property,
  [sym_if_statement] = sym_if_statement,
  [sym__lhs_expression] = sym__lhs_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_for_loop_parameters] = sym_for_loop_parameters,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_resource_expression] = sym_resource_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym__literal] = sym__literal,
  [sym_boolean] = sym_boolean,
  [sym_string] = sym_string,
  [sym_import_string] = sym_import_string,
  [sym__string_literal] = sym__string_literal,
  [sym__multiline_string_literal] = sym__multiline_string_literal,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_interpolation] = sym_interpolation,
  [sym_compatible_identifier] = sym_compatible_identifier,
  [sym_type] = sym_type,
  [sym__binary_type_expression] = sym__binary_type_expression,
  [sym_builtin_type] = sym_builtin_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym__array_builtin_type] = sym__array_builtin_type,
  [sym_array_type] = sym_array_type,
  [sym_nullable_type] = sym_nullable_type,
  [aux_sym_infrastructure_repeat1] = aux_sym_infrastructure_repeat1,
  [aux_sym_import_functionality_repeat1] = aux_sym_import_functionality_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_decorators_repeat1] = aux_sym_decorators_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat1] = aux_sym__multiline_string_literal_repeat1,
  [aux_sym__array_builtin_type_repeat1] = aux_sym__array_builtin_type_repeat1,
  [alias_sym_loop_enumerator] = alias_sym_loop_enumerator,
  [alias_sym_loop_variable] = alias_sym_loop_variable,
  [alias_sym_nullable_return_type] = alias_sym_nullable_return_type,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provider] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_targetScope] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_metadata] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_output] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_param] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_resource] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_existing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_import_string_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_import_string_token2] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym__multiline_string_content] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_secureObject] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_secureString] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_diagnostic_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_infrastructure] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_functionality] = {
    .visible = true,
    .named = true,
  },
  [sym_target_scope_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_metadata_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_output_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorators] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_property] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__lhs_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_loop_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_import_string] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_compatible_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__binary_type_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym__array_builtin_type] = {
    .visible = false,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_infrastructure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_functionality_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_builtin_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_loop_enumerator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_loop_variable] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_nullable_return_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_body = 4,
  field_condition = 5,
  field_consequence = 6,
  field_function = 7,
  field_index = 8,
  field_initializer = 9,
  field_left = 10,
  field_object = 11,
  field_operator = 12,
  field_property = 13,
  field_resource = 14,
  field_right = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_property] = "property",
  [field_resource] = "resource",
  [field_right] = "right",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 2},
  [4] = {.index = 5, .length = 2},
  [5] = {.index = 7, .length = 3},
  [6] = {.index = 10, .length = 2},
  [7] = {.index = 12, .length = 2},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 14, .length = 2},
  [10] = {.index = 16, .length = 2},
  [11] = {.index = 18, .length = 2},
  [12] = {.index = 20, .length = 3},
  [14] = {.index = 23, .length = 1},
  [15] = {.index = 24, .length = 2},
  [16] = {.index = 26, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [3] =
    {field_argument, 1},
    {field_operator, 0},
  [5] =
    {field_arguments, 1},
    {field_function, 0},
  [7] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [10] =
    {field_object, 0},
    {field_property, 2},
  [12] =
    {field_object, 0},
    {field_resource, 2},
  [14] =
    {field_left, 0},
    {field_right, 2},
  [16] =
    {field_object, 0},
    {field_property, 3},
  [18] =
    {field_index, 2},
    {field_object, 0},
  [20] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [23] =
    {field_body, 5},
  [24] =
    {field_body, 6},
    {field_initializer, 2},
  [26] =
    {field_body, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [6] = {
    [2] = alias_sym_property_identifier,
  },
  [8] = {
    [2] = alias_sym_nullable_return_type,
  },
  [10] = {
    [3] = alias_sym_property_identifier,
  },
  [13] = {
    [1] = alias_sym_loop_variable,
    [3] = alias_sym_loop_enumerator,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 2,
  [6] = 3,
  [7] = 3,
  [8] = 2,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 11,
  [13] = 11,
  [14] = 10,
  [15] = 10,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 17,
  [20] = 20,
  [21] = 17,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 22,
  [26] = 26,
  [27] = 27,
  [28] = 24,
  [29] = 22,
  [30] = 24,
  [31] = 23,
  [32] = 23,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 72,
  [99] = 81,
  [100] = 100,
  [101] = 101,
  [102] = 94,
  [103] = 103,
  [104] = 81,
  [105] = 105,
  [106] = 94,
  [107] = 72,
  [108] = 81,
  [109] = 94,
  [110] = 72,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 112,
  [115] = 115,
  [116] = 116,
  [117] = 115,
  [118] = 118,
  [119] = 112,
  [120] = 115,
  [121] = 118,
  [122] = 122,
  [123] = 123,
  [124] = 123,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 129,
  [135] = 135,
  [136] = 122,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 132,
  [146] = 133,
  [147] = 137,
  [148] = 138,
  [149] = 139,
  [150] = 140,
  [151] = 141,
  [152] = 142,
  [153] = 143,
  [154] = 144,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 128,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 129,
  [164] = 164,
  [165] = 132,
  [166] = 125,
  [167] = 137,
  [168] = 138,
  [169] = 139,
  [170] = 140,
  [171] = 141,
  [172] = 142,
  [173] = 143,
  [174] = 144,
  [175] = 175,
  [176] = 176,
  [177] = 128,
  [178] = 175,
  [179] = 175,
  [180] = 130,
  [181] = 131,
  [182] = 135,
  [183] = 122,
  [184] = 130,
  [185] = 135,
  [186] = 160,
  [187] = 123,
  [188] = 125,
  [189] = 160,
  [190] = 123,
  [191] = 125,
  [192] = 160,
  [193] = 133,
  [194] = 194,
  [195] = 195,
  [196] = 55,
  [197] = 56,
  [198] = 57,
  [199] = 58,
  [200] = 103,
  [201] = 59,
  [202] = 60,
  [203] = 61,
  [204] = 62,
  [205] = 88,
  [206] = 63,
  [207] = 45,
  [208] = 46,
  [209] = 47,
  [210] = 89,
  [211] = 95,
  [212] = 48,
  [213] = 87,
  [214] = 49,
  [215] = 50,
  [216] = 44,
  [217] = 43,
  [218] = 51,
  [219] = 52,
  [220] = 53,
  [221] = 54,
  [222] = 75,
  [223] = 86,
  [224] = 101,
  [225] = 105,
  [226] = 92,
  [227] = 78,
  [228] = 90,
  [229] = 97,
  [230] = 230,
  [231] = 77,
  [232] = 91,
  [233] = 111,
  [234] = 93,
  [235] = 164,
  [236] = 96,
  [237] = 100,
  [238] = 73,
  [239] = 74,
  [240] = 76,
  [241] = 79,
  [242] = 80,
  [243] = 82,
  [244] = 83,
  [245] = 84,
  [246] = 85,
  [247] = 48,
  [248] = 111,
  [249] = 47,
  [250] = 93,
  [251] = 60,
  [252] = 73,
  [253] = 75,
  [254] = 97,
  [255] = 74,
  [256] = 63,
  [257] = 44,
  [258] = 61,
  [259] = 45,
  [260] = 77,
  [261] = 82,
  [262] = 62,
  [263] = 79,
  [264] = 49,
  [265] = 50,
  [266] = 43,
  [267] = 51,
  [268] = 52,
  [269] = 53,
  [270] = 54,
  [271] = 55,
  [272] = 56,
  [273] = 57,
  [274] = 58,
  [275] = 59,
  [276] = 46,
  [277] = 96,
  [278] = 80,
  [279] = 101,
  [280] = 100,
  [281] = 95,
  [282] = 85,
  [283] = 90,
  [284] = 92,
  [285] = 78,
  [286] = 88,
  [287] = 76,
  [288] = 103,
  [289] = 105,
  [290] = 87,
  [291] = 83,
  [292] = 86,
  [293] = 91,
  [294] = 84,
  [295] = 89,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 230,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 230,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 164,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 330,
  [332] = 332,
  [333] = 330,
  [334] = 330,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 337,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 337,
  [344] = 340,
  [345] = 341,
  [346] = 340,
  [347] = 337,
  [348] = 342,
  [349] = 349,
  [350] = 341,
  [351] = 342,
  [352] = 340,
  [353] = 353,
  [354] = 341,
  [355] = 342,
  [356] = 356,
  [357] = 356,
  [358] = 358,
  [359] = 358,
  [360] = 360,
  [361] = 356,
  [362] = 358,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 364,
  [367] = 367,
  [368] = 365,
  [369] = 367,
  [370] = 364,
  [371] = 367,
  [372] = 367,
  [373] = 365,
  [374] = 365,
  [375] = 363,
  [376] = 364,
  [377] = 363,
  [378] = 363,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 381,
  [385] = 385,
  [386] = 380,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 385,
  [392] = 389,
  [393] = 390,
  [394] = 380,
  [395] = 387,
  [396] = 388,
  [397] = 389,
  [398] = 390,
  [399] = 399,
  [400] = 387,
  [401] = 388,
  [402] = 380,
  [403] = 387,
  [404] = 388,
  [405] = 405,
  [406] = 383,
  [407] = 381,
  [408] = 405,
  [409] = 383,
  [410] = 381,
  [411] = 405,
  [412] = 383,
  [413] = 405,
  [414] = 414,
  [415] = 328,
  [416] = 324,
  [417] = 414,
  [418] = 329,
  [419] = 327,
  [420] = 414,
  [421] = 332,
  [422] = 326,
  [423] = 325,
  [424] = 424,
  [425] = 425,
  [426] = 336,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 77,
  [431] = 96,
  [432] = 79,
  [433] = 85,
  [434] = 74,
  [435] = 86,
  [436] = 84,
  [437] = 82,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 326,
  [446] = 325,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 429,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 442,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 441,
  [471] = 471,
  [472] = 472,
  [473] = 472,
  [474] = 474,
  [475] = 474,
  [476] = 474,
  [477] = 477,
  [478] = 472,
  [479] = 479,
  [480] = 479,
  [481] = 481,
  [482] = 482,
  [483] = 481,
  [484] = 479,
  [485] = 481,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 488,
  [490] = 490,
  [491] = 487,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 496,
  [499] = 499,
  [500] = 486,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 501,
  [505] = 501,
  [506] = 501,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 508,
  [513] = 511,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 508,
  [518] = 518,
  [519] = 519,
  [520] = 511,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 523,
  [529] = 527,
  [530] = 524,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 536,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 535,
  [550] = 550,
  [551] = 536,
  [552] = 552,
  [553] = 538,
  [554] = 554,
  [555] = 540,
  [556] = 540,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 538,
  [561] = 561,
  [562] = 562,
  [563] = 535,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 567,
  [570] = 559,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 540,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 559,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 564,
  [584] = 573,
  [585] = 585,
  [586] = 566,
  [587] = 536,
  [588] = 588,
  [589] = 567,
  [590] = 564,
  [591] = 573,
  [592] = 592,
  [593] = 562,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 546,
  [600] = 582,
  [601] = 533,
  [602] = 602,
  [603] = 546,
  [604] = 582,
  [605] = 538,
  [606] = 546,
  [607] = 582,
  [608] = 608,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(88);
      ADVANCE_MAP(
        '!', 117,
        '#', 163,
        '$', 162,
        '%', 134,
        '&', 10,
        '\'', 149,
        '(', 119,
        ')', 120,
        '*', 101,
        '+', 130,
        ',', 98,
        '-', 132,
        '.', 126,
        '/', 133,
        ':', 125,
        '<', 145,
        '=', 92,
        '>', 142,
        '?', 129,
        '@', 121,
        '[', 122,
        '\\', 63,
        ']', 123,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 196,
        'v', 197,
        '{', 97,
        '|', 137,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 1:
      if (lookahead == '\r') ADVANCE(250);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 117,
        '#', 251,
        '%', 134,
        '&', 10,
        '\'', 149,
        '(', 119,
        '*', 101,
        '+', 130,
        ',', 98,
        '-', 132,
        '.', 126,
        '/', 133,
        ':', 15,
        '<', 145,
        '=', 92,
        '>', 142,
        '?', 129,
        '@', 121,
        '[', 122,
        ']', 123,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 243,
        'v', 197,
        '{', 97,
        '|', 137,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 117,
        '#', 251,
        '%', 134,
        '&', 10,
        '\'', 149,
        '(', 119,
        '*', 101,
        '+', 130,
        ',', 98,
        '-', 131,
        '.', 126,
        '/', 133,
        ':', 15,
        '<', 145,
        '=', 92,
        '>', 142,
        '?', 129,
        '@', 121,
        '[', 122,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 243,
        'v', 197,
        '|', 137,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 116,
        '#', 251,
        '\'', 149,
        '(', 119,
        ')', 120,
        ',', 98,
        '-', 132,
        '.', 126,
        '/', 12,
        '@', 121,
        '[', 122,
        ']', 123,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 243,
        'v', 197,
        '{', 97,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      if (lookahead == '*' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 5:
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '$') ADVANCE(162);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(63);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(165);
      if (lookahead != 0) ADVANCE(169);
      END_STATE();
    case 6:
      if (lookahead == '#') ADVANCE(251);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '*') ADVANCE(100);
      if (lookahead == '/') ADVANCE(12);
      if (lookahead == '{') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '#', 251,
        '(', 119,
        ',', 98,
        '/', 12,
        ':', 124,
        '=', 91,
        '?', 128,
        '[', 122,
        '{', 97,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (lookahead == '*' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(170);
      if (lookahead == '$') ADVANCE(178);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(176);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(172);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(151);
      if (lookahead == '/') ADVANCE(154);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(158);
      END_STATE();
    case 10:
      if (lookahead == '&') ADVANCE(136);
      END_STATE();
    case 11:
      if (lookahead == '\'') ADVANCE(164);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(245);
      if (lookahead != 0) ADVANCE(14);
      END_STATE();
    case 14:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead != 0) ADVANCE(14);
      END_STATE();
    case 15:
      if (lookahead == ':') ADVANCE(127);
      END_STATE();
    case 16:
      if (lookahead == 'S') ADVANCE(24);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(27);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'y') ADVANCE(46);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(51);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'c') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 'c') ADVANCE(33);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(64);
      END_STATE();
    case 27:
      if (lookahead == 'd') ADVANCE(23);
      END_STATE();
    case 28:
      if (lookahead == 'd') ADVANCE(36);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(110);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 37:
      if (lookahead == 'g') ADVANCE(35);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(28);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(32);
      END_STATE();
    case 40:
      if (lookahead == 'm') ADVANCE(47);
      END_STATE();
    case 41:
      if (lookahead == 'm') ADVANCE(108);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(67);
      END_STATE();
    case 44:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 45:
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 46:
      if (lookahead == 'p') ADVANCE(31);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(45);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(34);
      END_STATE();
    case 49:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(114);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 53:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(57);
      END_STATE();
    case 56:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(16);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(20);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(18);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(69);
      if (lookahead == 'x') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(187);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(188);
      if (lookahead != 0) ADVANCE(186);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(39);
      END_STATE();
    case 65:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(58);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 68:
      if (lookahead == 'v') ADVANCE(38);
      END_STATE();
    case 69:
      if (lookahead == '{') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 70:
      if (lookahead == '}') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(75);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(160);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(75);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(78);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(161);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(72);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(72);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(78);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 84:
      if (eof) ADVANCE(88);
      ADVANCE_MAP(
        '!', 117,
        '#', 163,
        '$', 162,
        '%', 134,
        '&', 10,
        '\'', 149,
        '(', 119,
        ')', 120,
        '*', 101,
        '+', 130,
        ',', 98,
        '-', 132,
        '.', 126,
        '/', 133,
        ':', 125,
        '<', 145,
        '=', 92,
        '>', 142,
        '?', 129,
        '@', 121,
        '[', 122,
        ']', 123,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 196,
        'v', 197,
        '{', 97,
        '|', 137,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 85:
      if (eof) ADVANCE(88);
      ADVANCE_MAP(
        '!', 117,
        '#', 251,
        '%', 134,
        '&', 10,
        '\'', 149,
        '(', 119,
        ')', 120,
        '*', 100,
        '+', 130,
        ',', 98,
        '-', 131,
        '.', 126,
        '/', 133,
        ':', 125,
        '<', 145,
        '=', 92,
        '>', 142,
        '?', 129,
        '@', 121,
        '[', 122,
        ']', 123,
        'i', 40,
        'm', 29,
        'o', 65,
        'p', 17,
        'r', 30,
        't', 21,
        'v', 22,
        '{', 97,
        '|', 137,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(79);
      END_STATE();
    case 86:
      if (eof) ADVANCE(88);
      ADVANCE_MAP(
        '!', 117,
        '#', 251,
        '%', 134,
        '&', 10,
        '\'', 148,
        '(', 119,
        ')', 120,
        '*', 101,
        '+', 130,
        ',', 98,
        '-', 131,
        '.', 126,
        '/', 133,
        ':', 125,
        '<', 145,
        '=', 92,
        '>', 142,
        '?', 129,
        '@', 121,
        '[', 122,
        ']', 123,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 196,
        'v', 197,
        '|', 137,
        '}', 99,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 87:
      if (eof) ADVANCE(88);
      ADVANCE_MAP(
        '#', 251,
        '/', 12,
        '@', 121,
        'i', 215,
        'm', 204,
        'o', 239,
        'p', 192,
        'r', 205,
        't', 196,
        'v', 197,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (lookahead == '*' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_module);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '~') ADVANCE(140);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_import);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_provider);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_provider);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_targetScope);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_targetScope);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_metadata);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_metadata);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_output);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_output);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_param);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_param);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_resource);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_resource);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_type);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_var);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '~') ADVANCE(141);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(146);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(135);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(11);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '\n') ADVANCE(158);
      if (lookahead == '@') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead != 0) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '\n') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '\r') ADVANCE(157);
      if (lookahead == '@') ADVANCE(249);
      if (lookahead != 0) ADVANCE(150);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '#') ADVANCE(151);
      if (lookahead == '/') ADVANCE(154);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(158);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(158);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '@') ADVANCE(14);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '@') ADVANCE(14);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead == '@') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead != 0) ADVANCE(150);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_import_string_token1);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_import_string_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(75);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_import_string_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(160);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_import_string_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(72);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '{') ADVANCE(190);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '#') ADVANCE(163);
      if (lookahead == '$') ADVANCE(162);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '/') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(168);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(167);
      if (lookahead == '/') ADVANCE(245);
      if (lookahead == '$' ||
          lookahead == '\'' ||
          lookahead == '\\') ADVANCE(14);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(167);
      if (lookahead == '$' ||
          lookahead == '\'' ||
          lookahead == '\\') ADVANCE(14);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(251);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '\r') ADVANCE(247);
      if (lookahead == '\'') ADVANCE(249);
      if (lookahead != 0) ADVANCE(246);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '#') ADVANCE(170);
      if (lookahead == '$') ADVANCE(178);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(177);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(172);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '\'') ADVANCE(11);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '\'') ADVANCE(14);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(245);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '\'') ADVANCE(14);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == 'u') ADVANCE(179);
      if (lookahead == 'x') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(187);
      if (lookahead == '"' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(188);
      if (lookahead != 0) ADVANCE(186);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '{') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '{') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead == '}') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym__multiline_string_content);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(189);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(188);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(229);
      if (lookahead == 'r') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(225);
      if (lookahead == 'y') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(235);
      if (lookahead == 'o') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\'') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(246);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\'') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead != 0) ADVANCE(246);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead == '$' ||
          lookahead == '\'') ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_diagnostic_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(251);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'e', 3,
        'f', 4,
        'i', 5,
        'n', 6,
        'o', 7,
        's', 8,
        't', 9,
        'w', 10,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(11);
      if (lookahead == 's') ADVANCE(12);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(13);
      END_STATE();
    case 3:
      if (lookahead == 'x') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(18);
      if (lookahead == 'n') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'b') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      if (lookahead == 't') ADVANCE(23);
      END_STATE();
    case 9:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(26);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 13:
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(28);
      END_STATE();
    case 15:
      if (lookahead == 'l') ADVANCE(29);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(30);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(33);
      END_STATE();
    case 21:
      if (lookahead == 'j') ADVANCE(34);
      END_STATE();
    case 22:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(38);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 27:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 31:
      if (lookahead == 'm') ADVANCE(43);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 38:
      if (lookahead == 'h') ADVANCE(49);
      END_STATE();
    case 39:
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(53);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(55);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 55:
      if (lookahead == 'g') ADVANCE(59);
      END_STATE();
    case 56:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 58:
      if (lookahead == 'O') ADVANCE(61);
      if (lookahead == 'S') ADVANCE(62);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(63);
      END_STATE();
    case 61:
      if (lookahead == 'b') ADVANCE(64);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_existing);
      END_STATE();
    case 64:
      if (lookahead == 'j') ADVANCE(66);
      END_STATE();
    case 65:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(70);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 70:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 71:
      if (lookahead == 'g') ADVANCE(73);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_secureObject);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_secureString);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 85},
  [2] = {.lex_state = 2},
  [3] = {.lex_state = 2},
  [4] = {.lex_state = 2},
  [5] = {.lex_state = 2},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 2},
  [8] = {.lex_state = 2},
  [9] = {.lex_state = 4},
  [10] = {.lex_state = 4},
  [11] = {.lex_state = 4},
  [12] = {.lex_state = 4},
  [13] = {.lex_state = 4},
  [14] = {.lex_state = 4},
  [15] = {.lex_state = 4},
  [16] = {.lex_state = 4},
  [17] = {.lex_state = 4},
  [18] = {.lex_state = 4},
  [19] = {.lex_state = 4},
  [20] = {.lex_state = 4},
  [21] = {.lex_state = 4},
  [22] = {.lex_state = 4},
  [23] = {.lex_state = 4},
  [24] = {.lex_state = 4},
  [25] = {.lex_state = 4},
  [26] = {.lex_state = 4},
  [27] = {.lex_state = 4},
  [28] = {.lex_state = 4},
  [29] = {.lex_state = 4},
  [30] = {.lex_state = 4},
  [31] = {.lex_state = 4},
  [32] = {.lex_state = 4},
  [33] = {.lex_state = 4},
  [34] = {.lex_state = 4},
  [35] = {.lex_state = 4},
  [36] = {.lex_state = 4},
  [37] = {.lex_state = 4},
  [38] = {.lex_state = 4},
  [39] = {.lex_state = 4},
  [40] = {.lex_state = 4},
  [41] = {.lex_state = 4},
  [42] = {.lex_state = 4},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 2},
  [48] = {.lex_state = 2},
  [49] = {.lex_state = 2},
  [50] = {.lex_state = 2},
  [51] = {.lex_state = 2},
  [52] = {.lex_state = 2},
  [53] = {.lex_state = 2},
  [54] = {.lex_state = 2},
  [55] = {.lex_state = 2},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 2},
  [58] = {.lex_state = 2},
  [59] = {.lex_state = 2},
  [60] = {.lex_state = 2},
  [61] = {.lex_state = 2},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 2},
  [64] = {.lex_state = 2},
  [65] = {.lex_state = 2},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 2},
  [68] = {.lex_state = 2},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 2},
  [71] = {.lex_state = 2},
  [72] = {.lex_state = 4},
  [73] = {.lex_state = 2},
  [74] = {.lex_state = 2},
  [75] = {.lex_state = 2},
  [76] = {.lex_state = 2},
  [77] = {.lex_state = 2},
  [78] = {.lex_state = 2},
  [79] = {.lex_state = 2},
  [80] = {.lex_state = 2},
  [81] = {.lex_state = 4},
  [82] = {.lex_state = 2},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 2},
  [85] = {.lex_state = 2},
  [86] = {.lex_state = 2},
  [87] = {.lex_state = 2},
  [88] = {.lex_state = 2},
  [89] = {.lex_state = 2},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 2},
  [92] = {.lex_state = 2},
  [93] = {.lex_state = 2},
  [94] = {.lex_state = 4},
  [95] = {.lex_state = 2},
  [96] = {.lex_state = 2},
  [97] = {.lex_state = 2},
  [98] = {.lex_state = 4},
  [99] = {.lex_state = 4},
  [100] = {.lex_state = 2},
  [101] = {.lex_state = 2},
  [102] = {.lex_state = 4},
  [103] = {.lex_state = 2},
  [104] = {.lex_state = 4},
  [105] = {.lex_state = 2},
  [106] = {.lex_state = 4},
  [107] = {.lex_state = 4},
  [108] = {.lex_state = 4},
  [109] = {.lex_state = 4},
  [110] = {.lex_state = 4},
  [111] = {.lex_state = 2},
  [112] = {.lex_state = 4},
  [113] = {.lex_state = 4},
  [114] = {.lex_state = 4},
  [115] = {.lex_state = 4},
  [116] = {.lex_state = 4},
  [117] = {.lex_state = 4},
  [118] = {.lex_state = 4},
  [119] = {.lex_state = 4},
  [120] = {.lex_state = 4},
  [121] = {.lex_state = 4},
  [122] = {.lex_state = 4},
  [123] = {.lex_state = 4},
  [124] = {.lex_state = 4},
  [125] = {.lex_state = 4},
  [126] = {.lex_state = 4},
  [127] = {.lex_state = 4},
  [128] = {.lex_state = 4},
  [129] = {.lex_state = 4},
  [130] = {.lex_state = 4},
  [131] = {.lex_state = 4},
  [132] = {.lex_state = 4},
  [133] = {.lex_state = 4},
  [134] = {.lex_state = 4},
  [135] = {.lex_state = 4},
  [136] = {.lex_state = 4},
  [137] = {.lex_state = 4},
  [138] = {.lex_state = 4},
  [139] = {.lex_state = 4},
  [140] = {.lex_state = 4},
  [141] = {.lex_state = 4},
  [142] = {.lex_state = 4},
  [143] = {.lex_state = 4},
  [144] = {.lex_state = 4},
  [145] = {.lex_state = 4},
  [146] = {.lex_state = 4},
  [147] = {.lex_state = 4},
  [148] = {.lex_state = 4},
  [149] = {.lex_state = 4},
  [150] = {.lex_state = 4},
  [151] = {.lex_state = 4},
  [152] = {.lex_state = 4},
  [153] = {.lex_state = 4},
  [154] = {.lex_state = 4},
  [155] = {.lex_state = 4},
  [156] = {.lex_state = 4},
  [157] = {.lex_state = 4},
  [158] = {.lex_state = 4},
  [159] = {.lex_state = 4},
  [160] = {.lex_state = 4},
  [161] = {.lex_state = 4},
  [162] = {.lex_state = 4},
  [163] = {.lex_state = 4},
  [164] = {.lex_state = 2},
  [165] = {.lex_state = 4},
  [166] = {.lex_state = 4},
  [167] = {.lex_state = 4},
  [168] = {.lex_state = 4},
  [169] = {.lex_state = 4},
  [170] = {.lex_state = 4},
  [171] = {.lex_state = 4},
  [172] = {.lex_state = 4},
  [173] = {.lex_state = 4},
  [174] = {.lex_state = 4},
  [175] = {.lex_state = 4},
  [176] = {.lex_state = 4},
  [177] = {.lex_state = 4},
  [178] = {.lex_state = 4},
  [179] = {.lex_state = 4},
  [180] = {.lex_state = 4},
  [181] = {.lex_state = 4},
  [182] = {.lex_state = 4},
  [183] = {.lex_state = 4},
  [184] = {.lex_state = 4},
  [185] = {.lex_state = 4},
  [186] = {.lex_state = 4},
  [187] = {.lex_state = 4},
  [188] = {.lex_state = 4},
  [189] = {.lex_state = 4},
  [190] = {.lex_state = 4},
  [191] = {.lex_state = 4},
  [192] = {.lex_state = 4},
  [193] = {.lex_state = 4},
  [194] = {.lex_state = 3},
  [195] = {.lex_state = 3},
  [196] = {.lex_state = 3},
  [197] = {.lex_state = 3},
  [198] = {.lex_state = 3},
  [199] = {.lex_state = 3},
  [200] = {.lex_state = 3},
  [201] = {.lex_state = 3},
  [202] = {.lex_state = 3},
  [203] = {.lex_state = 3},
  [204] = {.lex_state = 3},
  [205] = {.lex_state = 3},
  [206] = {.lex_state = 3},
  [207] = {.lex_state = 3},
  [208] = {.lex_state = 3},
  [209] = {.lex_state = 3},
  [210] = {.lex_state = 3},
  [211] = {.lex_state = 3},
  [212] = {.lex_state = 3},
  [213] = {.lex_state = 3},
  [214] = {.lex_state = 3},
  [215] = {.lex_state = 3},
  [216] = {.lex_state = 3},
  [217] = {.lex_state = 3},
  [218] = {.lex_state = 3},
  [219] = {.lex_state = 3},
  [220] = {.lex_state = 3},
  [221] = {.lex_state = 3},
  [222] = {.lex_state = 3},
  [223] = {.lex_state = 3},
  [224] = {.lex_state = 3},
  [225] = {.lex_state = 3},
  [226] = {.lex_state = 3},
  [227] = {.lex_state = 3},
  [228] = {.lex_state = 3},
  [229] = {.lex_state = 3},
  [230] = {.lex_state = 3},
  [231] = {.lex_state = 3},
  [232] = {.lex_state = 3},
  [233] = {.lex_state = 3},
  [234] = {.lex_state = 3},
  [235] = {.lex_state = 3},
  [236] = {.lex_state = 3},
  [237] = {.lex_state = 3},
  [238] = {.lex_state = 3},
  [239] = {.lex_state = 3},
  [240] = {.lex_state = 3},
  [241] = {.lex_state = 3},
  [242] = {.lex_state = 3},
  [243] = {.lex_state = 3},
  [244] = {.lex_state = 3},
  [245] = {.lex_state = 3},
  [246] = {.lex_state = 3},
  [247] = {.lex_state = 85},
  [248] = {.lex_state = 86},
  [249] = {.lex_state = 85},
  [250] = {.lex_state = 86},
  [251] = {.lex_state = 85},
  [252] = {.lex_state = 86},
  [253] = {.lex_state = 86},
  [254] = {.lex_state = 86},
  [255] = {.lex_state = 85},
  [256] = {.lex_state = 85},
  [257] = {.lex_state = 85},
  [258] = {.lex_state = 85},
  [259] = {.lex_state = 85},
  [260] = {.lex_state = 85},
  [261] = {.lex_state = 85},
  [262] = {.lex_state = 85},
  [263] = {.lex_state = 85},
  [264] = {.lex_state = 85},
  [265] = {.lex_state = 85},
  [266] = {.lex_state = 85},
  [267] = {.lex_state = 85},
  [268] = {.lex_state = 85},
  [269] = {.lex_state = 85},
  [270] = {.lex_state = 85},
  [271] = {.lex_state = 85},
  [272] = {.lex_state = 85},
  [273] = {.lex_state = 85},
  [274] = {.lex_state = 85},
  [275] = {.lex_state = 85},
  [276] = {.lex_state = 85},
  [277] = {.lex_state = 85},
  [278] = {.lex_state = 85},
  [279] = {.lex_state = 85},
  [280] = {.lex_state = 85},
  [281] = {.lex_state = 85},
  [282] = {.lex_state = 85},
  [283] = {.lex_state = 85},
  [284] = {.lex_state = 85},
  [285] = {.lex_state = 85},
  [286] = {.lex_state = 85},
  [287] = {.lex_state = 85},
  [288] = {.lex_state = 85},
  [289] = {.lex_state = 85},
  [290] = {.lex_state = 85},
  [291] = {.lex_state = 85},
  [292] = {.lex_state = 85},
  [293] = {.lex_state = 85},
  [294] = {.lex_state = 85},
  [295] = {.lex_state = 85},
  [296] = {.lex_state = 85},
  [297] = {.lex_state = 85},
  [298] = {.lex_state = 85},
  [299] = {.lex_state = 85},
  [300] = {.lex_state = 85},
  [301] = {.lex_state = 85},
  [302] = {.lex_state = 85},
  [303] = {.lex_state = 85},
  [304] = {.lex_state = 85},
  [305] = {.lex_state = 85},
  [306] = {.lex_state = 85},
  [307] = {.lex_state = 85},
  [308] = {.lex_state = 85},
  [309] = {.lex_state = 85},
  [310] = {.lex_state = 85},
  [311] = {.lex_state = 85},
  [312] = {.lex_state = 85},
  [313] = {.lex_state = 85},
  [314] = {.lex_state = 85},
  [315] = {.lex_state = 85},
  [316] = {.lex_state = 85},
  [317] = {.lex_state = 85},
  [318] = {.lex_state = 85},
  [319] = {.lex_state = 85},
  [320] = {.lex_state = 85},
  [321] = {.lex_state = 85},
  [322] = {.lex_state = 85},
  [323] = {.lex_state = 85},
  [324] = {.lex_state = 85},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 85},
  [328] = {.lex_state = 85},
  [329] = {.lex_state = 85},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 85},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 4},
  [335] = {.lex_state = 85},
  [336] = {.lex_state = 85},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 4},
  [341] = {.lex_state = 4},
  [342] = {.lex_state = 4},
  [343] = {.lex_state = 4},
  [344] = {.lex_state = 4},
  [345] = {.lex_state = 4},
  [346] = {.lex_state = 4},
  [347] = {.lex_state = 4},
  [348] = {.lex_state = 4},
  [349] = {.lex_state = 85},
  [350] = {.lex_state = 4},
  [351] = {.lex_state = 4},
  [352] = {.lex_state = 4},
  [353] = {.lex_state = 85},
  [354] = {.lex_state = 4},
  [355] = {.lex_state = 4},
  [356] = {.lex_state = 85},
  [357] = {.lex_state = 85},
  [358] = {.lex_state = 85},
  [359] = {.lex_state = 85},
  [360] = {.lex_state = 85},
  [361] = {.lex_state = 85},
  [362] = {.lex_state = 85},
  [363] = {.lex_state = 4},
  [364] = {.lex_state = 4},
  [365] = {.lex_state = 4},
  [366] = {.lex_state = 4},
  [367] = {.lex_state = 4},
  [368] = {.lex_state = 4},
  [369] = {.lex_state = 4},
  [370] = {.lex_state = 4},
  [371] = {.lex_state = 4},
  [372] = {.lex_state = 4},
  [373] = {.lex_state = 4},
  [374] = {.lex_state = 4},
  [375] = {.lex_state = 4},
  [376] = {.lex_state = 4},
  [377] = {.lex_state = 4},
  [378] = {.lex_state = 4},
  [379] = {.lex_state = 85},
  [380] = {.lex_state = 85},
  [381] = {.lex_state = 85},
  [382] = {.lex_state = 4},
  [383] = {.lex_state = 85},
  [384] = {.lex_state = 85},
  [385] = {.lex_state = 85},
  [386] = {.lex_state = 85},
  [387] = {.lex_state = 85},
  [388] = {.lex_state = 85},
  [389] = {.lex_state = 85},
  [390] = {.lex_state = 85},
  [391] = {.lex_state = 85},
  [392] = {.lex_state = 85},
  [393] = {.lex_state = 85},
  [394] = {.lex_state = 85},
  [395] = {.lex_state = 85},
  [396] = {.lex_state = 85},
  [397] = {.lex_state = 85},
  [398] = {.lex_state = 85},
  [399] = {.lex_state = 85},
  [400] = {.lex_state = 85},
  [401] = {.lex_state = 85},
  [402] = {.lex_state = 85},
  [403] = {.lex_state = 85},
  [404] = {.lex_state = 85},
  [405] = {.lex_state = 85},
  [406] = {.lex_state = 85},
  [407] = {.lex_state = 85},
  [408] = {.lex_state = 85},
  [409] = {.lex_state = 85},
  [410] = {.lex_state = 85},
  [411] = {.lex_state = 85},
  [412] = {.lex_state = 85},
  [413] = {.lex_state = 85},
  [414] = {.lex_state = 85},
  [415] = {.lex_state = 4},
  [416] = {.lex_state = 4},
  [417] = {.lex_state = 85},
  [418] = {.lex_state = 4},
  [419] = {.lex_state = 4},
  [420] = {.lex_state = 85},
  [421] = {.lex_state = 4},
  [422] = {.lex_state = 4},
  [423] = {.lex_state = 4},
  [424] = {.lex_state = 4},
  [425] = {.lex_state = 4},
  [426] = {.lex_state = 4},
  [427] = {.lex_state = 4},
  [428] = {.lex_state = 4},
  [429] = {.lex_state = 4},
  [430] = {.lex_state = 4},
  [431] = {.lex_state = 4},
  [432] = {.lex_state = 4},
  [433] = {.lex_state = 4},
  [434] = {.lex_state = 4},
  [435] = {.lex_state = 4},
  [436] = {.lex_state = 4},
  [437] = {.lex_state = 4},
  [438] = {.lex_state = 4},
  [439] = {.lex_state = 4},
  [440] = {.lex_state = 4},
  [441] = {.lex_state = 4},
  [442] = {.lex_state = 4},
  [443] = {.lex_state = 4},
  [444] = {.lex_state = 87},
  [445] = {.lex_state = 85},
  [446] = {.lex_state = 85},
  [447] = {.lex_state = 87},
  [448] = {.lex_state = 85},
  [449] = {.lex_state = 85},
  [450] = {.lex_state = 85},
  [451] = {.lex_state = 85},
  [452] = {.lex_state = 85},
  [453] = {.lex_state = 85},
  [454] = {.lex_state = 85},
  [455] = {.lex_state = 85},
  [456] = {.lex_state = 85},
  [457] = {.lex_state = 85},
  [458] = {.lex_state = 85},
  [459] = {.lex_state = 85},
  [460] = {.lex_state = 85},
  [461] = {.lex_state = 85},
  [462] = {.lex_state = 85},
  [463] = {.lex_state = 85},
  [464] = {.lex_state = 85},
  [465] = {.lex_state = 85},
  [466] = {.lex_state = 85},
  [467] = {.lex_state = 85},
  [468] = {.lex_state = 85},
  [469] = {.lex_state = 85},
  [470] = {.lex_state = 85},
  [471] = {.lex_state = 85},
  [472] = {.lex_state = 5},
  [473] = {.lex_state = 5},
  [474] = {.lex_state = 5},
  [475] = {.lex_state = 5},
  [476] = {.lex_state = 5},
  [477] = {.lex_state = 5},
  [478] = {.lex_state = 5},
  [479] = {.lex_state = 8},
  [480] = {.lex_state = 8},
  [481] = {.lex_state = 8},
  [482] = {.lex_state = 8},
  [483] = {.lex_state = 8},
  [484] = {.lex_state = 8},
  [485] = {.lex_state = 8},
  [486] = {.lex_state = 5},
  [487] = {.lex_state = 7},
  [488] = {.lex_state = 7},
  [489] = {.lex_state = 7},
  [490] = {.lex_state = 7},
  [491] = {.lex_state = 7},
  [492] = {.lex_state = 85},
  [493] = {.lex_state = 85},
  [494] = {.lex_state = 85},
  [495] = {.lex_state = 85},
  [496] = {.lex_state = 85},
  [497] = {.lex_state = 85},
  [498] = {.lex_state = 85},
  [499] = {.lex_state = 85},
  [500] = {.lex_state = 8},
  [501] = {.lex_state = 7},
  [502] = {.lex_state = 6},
  [503] = {.lex_state = 7},
  [504] = {.lex_state = 7},
  [505] = {.lex_state = 7},
  [506] = {.lex_state = 7},
  [507] = {.lex_state = 85},
  [508] = {.lex_state = 85},
  [509] = {.lex_state = 85},
  [510] = {.lex_state = 7},
  [511] = {.lex_state = 85},
  [512] = {.lex_state = 85},
  [513] = {.lex_state = 85},
  [514] = {.lex_state = 85},
  [515] = {.lex_state = 85},
  [516] = {.lex_state = 85},
  [517] = {.lex_state = 85},
  [518] = {.lex_state = 7},
  [519] = {.lex_state = 85},
  [520] = {.lex_state = 85},
  [521] = {.lex_state = 85},
  [522] = {.lex_state = 85},
  [523] = {.lex_state = 85},
  [524] = {.lex_state = 85},
  [525] = {.lex_state = 86},
  [526] = {.lex_state = 85},
  [527] = {.lex_state = 7},
  [528] = {.lex_state = 85},
  [529] = {.lex_state = 7},
  [530] = {.lex_state = 85},
  [531] = {.lex_state = 85},
  [532] = {.lex_state = 7},
  [533] = {.lex_state = 7},
  [534] = {.lex_state = 85},
  [535] = {.lex_state = 7},
  [536] = {.lex_state = 85},
  [537] = {.lex_state = 7},
  [538] = {.lex_state = 85},
  [539] = {.lex_state = 7},
  [540] = {.lex_state = 85},
  [541] = {.lex_state = 7},
  [542] = {.lex_state = 85},
  [543] = {.lex_state = 7},
  [544] = {.lex_state = 85},
  [545] = {.lex_state = 85},
  [546] = {.lex_state = 7},
  [547] = {.lex_state = 85},
  [548] = {.lex_state = 85},
  [549] = {.lex_state = 7},
  [550] = {.lex_state = 7},
  [551] = {.lex_state = 85},
  [552] = {.lex_state = 7},
  [553] = {.lex_state = 85},
  [554] = {.lex_state = 7},
  [555] = {.lex_state = 85},
  [556] = {.lex_state = 85},
  [557] = {.lex_state = 7},
  [558] = {.lex_state = 85},
  [559] = {.lex_state = 85},
  [560] = {.lex_state = 85},
  [561] = {.lex_state = 85},
  [562] = {.lex_state = 85},
  [563] = {.lex_state = 7},
  [564] = {.lex_state = 7},
  [565] = {.lex_state = 85},
  [566] = {.lex_state = 85},
  [567] = {.lex_state = 85},
  [568] = {.lex_state = 85},
  [569] = {.lex_state = 85},
  [570] = {.lex_state = 85},
  [571] = {.lex_state = 9},
  [572] = {.lex_state = 7},
  [573] = {.lex_state = 7},
  [574] = {.lex_state = 7},
  [575] = {.lex_state = 85},
  [576] = {.lex_state = 85},
  [577] = {.lex_state = 7},
  [578] = {.lex_state = 7},
  [579] = {.lex_state = 85},
  [580] = {.lex_state = 85},
  [581] = {.lex_state = 7},
  [582] = {.lex_state = 7},
  [583] = {.lex_state = 7},
  [584] = {.lex_state = 7},
  [585] = {.lex_state = 7},
  [586] = {.lex_state = 85},
  [587] = {.lex_state = 85},
  [588] = {.lex_state = 85},
  [589] = {.lex_state = 85},
  [590] = {.lex_state = 7},
  [591] = {.lex_state = 7},
  [592] = {.lex_state = 86},
  [593] = {.lex_state = 85},
  [594] = {.lex_state = 7},
  [595] = {.lex_state = 7},
  [596] = {.lex_state = 85},
  [597] = {.lex_state = 7},
  [598] = {.lex_state = 7},
  [599] = {.lex_state = 7},
  [600] = {.lex_state = 7},
  [601] = {.lex_state = 7},
  [602] = {.lex_state = 7},
  [603] = {.lex_state = 7},
  [604] = {.lex_state = 7},
  [605] = {.lex_state = 85},
  [606] = {.lex_state = 7},
  [607] = {.lex_state = 7},
  [608] = {.lex_state = 7},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_provider] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_targetScope] = ACTIONS(1),
    [anon_sym_metadata] = ACTIONS(1),
    [anon_sym_output] = ACTIONS(1),
    [anon_sym_param] = ACTIONS(1),
    [anon_sym_resource] = ACTIONS(1),
    [anon_sym_existing] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_secureObject] = ACTIONS(1),
    [anon_sym_secureString] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_infrastructure] = STATE(568),
    [sym_statement] = STATE(349),
    [sym_declaration] = STATE(460),
    [sym_module_declaration] = STATE(462),
    [sym_import_statement] = STATE(460),
    [sym_import_with_statement] = STATE(460),
    [sym_import_functionality] = STATE(460),
    [sym_target_scope_assignment] = STATE(460),
    [sym_metadata_declaration] = STATE(462),
    [sym_output_declaration] = STATE(462),
    [sym_parameter_declaration] = STATE(462),
    [sym_resource_declaration] = STATE(462),
    [sym_type_declaration] = STATE(462),
    [sym_variable_declaration] = STATE(462),
    [sym_decorator] = STATE(445),
    [sym_decorators] = STATE(460),
    [aux_sym_infrastructure_repeat1] = STATE(349),
    [aux_sym_decorators_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_module] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_provider] = ACTIONS(13),
    [anon_sym_targetScope] = ACTIONS(15),
    [anon_sym_metadata] = ACTIONS(17),
    [anon_sym_output] = ACTIONS(19),
    [anon_sym_param] = ACTIONS(21),
    [anon_sym_resource] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_AT] = ACTIONS(29),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(10),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(11),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(97),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(12),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_expression] = STATE(67),
    [sym_primary_expression] = STATE(92),
    [sym_call_expression] = STATE(90),
    [sym_lambda_expression] = STATE(78),
    [sym_arguments] = STATE(95),
    [sym_parenthesized_expression] = STATE(45),
    [sym_decorator] = STATE(326),
    [sym_decorators] = STATE(176),
    [sym_array] = STATE(90),
    [sym_object] = STATE(90),
    [sym__lhs_expression] = STATE(569),
    [sym_assignment_expression] = STATE(78),
    [sym_for_statement] = STATE(90),
    [sym_member_expression] = STATE(44),
    [sym_subscript_expression] = STATE(44),
    [sym_resource_expression] = STATE(44),
    [sym_ternary_expression] = STATE(78),
    [sym_binary_expression] = STATE(78),
    [sym_unary_expression] = STATE(78),
    [sym__literal] = STATE(90),
    [sym_boolean] = STATE(90),
    [sym_string] = STATE(90),
    [sym__string_literal] = STATE(97),
    [sym__multiline_string_literal] = STATE(97),
    [aux_sym_decorators_repeat1] = STATE(326),
    [aux_sym_array_repeat1] = STATE(14),
    [sym_identifier] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_import] = ACTIONS(33),
    [anon_sym_provider] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_STAR] = ACTIONS(39),
    [anon_sym_metadata] = ACTIONS(33),
    [anon_sym_output] = ACTIONS(33),
    [anon_sym_param] = ACTIONS(33),
    [anon_sym_resource] = ACTIONS(33),
    [anon_sym_existing] = ACTIONS(33),
    [anon_sym_type] = ACTIONS(33),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_BANG] = ACTIONS(41),
    [anon_sym_EQ_GT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(53),
    [anon_sym_COLON_COLON] = ACTIONS(55),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(69),
    [anon_sym_EQ_EQ] = ACTIONS(71),
    [anon_sym_BANG_EQ] = ACTIONS(71),
    [anon_sym_EQ_TILDE] = ACTIONS(71),
    [anon_sym_BANG_TILDE] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(73),
    [anon_sym_GT_EQ] = ACTIONS(75),
    [anon_sym_LT_EQ] = ACTIONS(75),
    [anon_sym_LT] = ACTIONS(73),
    [anon_sym_QMARK_QMARK] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [anon_sym_true] = ACTIONS(81),
    [anon_sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(87),
    [anon_sym_array] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_object] = ACTIONS(33),
    [anon_sym_secureObject] = ACTIONS(33),
    [anon_sym_secureString] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_diagnostic_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(111), 1,
      sym_identifier,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_BANG,
    ACTIONS(126), 1,
      anon_sym_LPAREN,
    ACTIONS(129), 1,
      anon_sym_AT,
    ACTIONS(132), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_RBRACK,
    ACTIONS(137), 1,
      anon_sym_DASH,
    ACTIONS(140), 1,
      sym_number,
    ACTIONS(146), 1,
      sym_null,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(152), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(114), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [114] = 27,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(89), 1,
      anon_sym_COMMA,
    ACTIONS(91), 1,
      anon_sym_RBRACK,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [228] = 27,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(163), 1,
      anon_sym_COMMA,
    ACTIONS(165), 1,
      anon_sym_RBRACK,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [342] = 27,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(167), 1,
      anon_sym_COMMA,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [456] = 27,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(171), 1,
      anon_sym_COMMA,
    ACTIONS(173), 1,
      anon_sym_RBRACK,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [570] = 27,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(101), 1,
      anon_sym_RBRACK,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [684] = 27,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_RBRACK,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(9), 1,
      aux_sym_array_repeat1,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(67), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(176), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [798] = 29,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(301), 1,
      sym_member_expression,
    STATE(321), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(456), 1,
      sym__binary_type_expression,
    STATE(457), 1,
      sym_type,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 2,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(335), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(199), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [915] = 26,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(201), 1,
      anon_sym_RBRACK,
    ACTIONS(203), 1,
      anon_sym_for,
    STATE(2), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(130), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1026] = 26,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(205), 1,
      anon_sym_RBRACK,
    ACTIONS(207), 1,
      anon_sym_for,
    STATE(4), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(180), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1137] = 26,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(205), 1,
      anon_sym_RBRACK,
    ACTIONS(207), 1,
      anon_sym_for,
    STATE(5), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(180), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1248] = 29,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(301), 1,
      sym_member_expression,
    STATE(321), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(456), 1,
      sym__binary_type_expression,
    STATE(545), 1,
      sym_type,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 2,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(335), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(199), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [1365] = 26,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(209), 1,
      anon_sym_RBRACK,
    ACTIONS(211), 1,
      anon_sym_for,
    STATE(8), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(184), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1476] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(101), 1,
      anon_sym_RBRACK,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1584] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(173), 1,
      anon_sym_RBRACK,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1692] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(213), 1,
      anon_sym_RBRACK,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1800] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_RBRACK,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [1908] = 26,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(195), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(418), 1,
      sym_primitive_type,
    STATE(426), 1,
      sym__array_builtin_type,
    STATE(443), 1,
      sym_nullable_type,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(427), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    ACTIONS(239), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [2018] = 26,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(194), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(418), 1,
      sym_primitive_type,
    STATE(426), 1,
      sym__array_builtin_type,
    STATE(439), 1,
      sym_nullable_type,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(425), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    ACTIONS(239), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [2128] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(241), 1,
      anon_sym_RBRACK,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [2236] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(91), 1,
      anon_sym_RBRACK,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [2344] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(243), 1,
      anon_sym_RBRACK,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [2452] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [2560] = 25,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(165), 1,
      anon_sym_RBRACK,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [2668] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(245), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(316), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(455), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [2777] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(249), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(313), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(452), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [2886] = 24,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(126), 1,
      sym_decorators,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(326), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [2991] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(251), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(318), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(453), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3100] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(253), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(307), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(450), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3209] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(255), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(309), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(449), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3318] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(257), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(306), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(448), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3427] = 25,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(296), 1,
      sym_expression,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(471), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3534] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(261), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(311), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(451), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3643] = 26,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(263), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(314), 1,
      sym_object,
    STATE(329), 1,
      sym_primitive_type,
    STATE(336), 1,
      sym__array_builtin_type,
    STATE(399), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(458), 2,
      sym_builtin_type,
      sym_array_type,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_call_expression,
      sym_array,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(247), 7,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
    ACTIONS(177), 10,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
  [3752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(267), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(265), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [3814] = 4,
    ACTIONS(271), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(273), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [3878] = 4,
    ACTIONS(275), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(273), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [3942] = 5,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(279), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(277), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(285), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(283), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(289), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(287), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4132] = 5,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(293), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4198] = 18,
    ACTIONS(43), 1,
      anon_sym_EQ_GT,
    ACTIONS(57), 1,
      anon_sym_QMARK,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(77), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(297), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(295), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(303), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(301), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4352] = 7,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(293), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 28,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4422] = 14,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 24,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4506] = 13,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 24,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4588] = 12,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 25,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4668] = 11,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(293), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 25,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4746] = 9,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(293), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 27,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4820] = 15,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 24,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [4906] = 22,
    ACTIONS(43), 1,
      anon_sym_EQ_GT,
    ACTIONS(53), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_COLON_COLON,
    ACTIONS(57), 1,
      anon_sym_QMARK,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(77), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    ACTIONS(309), 1,
      anon_sym_BANG,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(307), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_RBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(305), 22,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(315), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(313), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(319), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(317), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(323), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(321), 31,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5192] = 18,
    ACTIONS(43), 1,
      anon_sym_EQ_GT,
    ACTIONS(57), 1,
      anon_sym_QMARK,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(77), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(327), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(325), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5284] = 20,
    ACTIONS(43), 1,
      anon_sym_EQ_GT,
    ACTIONS(53), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_COLON_COLON,
    ACTIONS(57), 1,
      anon_sym_QMARK,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(77), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(135), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(329), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5380] = 4,
    ACTIONS(283), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(334), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(331), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5444] = 5,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(279), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(277), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5510] = 20,
    ACTIONS(43), 1,
      anon_sym_EQ_GT,
    ACTIONS(53), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_COLON_COLON,
    ACTIONS(57), 1,
      anon_sym_QMARK,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(77), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(339), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(337), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5606] = 20,
    ACTIONS(43), 1,
      anon_sym_EQ_GT,
    ACTIONS(53), 1,
      anon_sym_DOT,
    ACTIONS(55), 1,
      anon_sym_COLON_COLON,
    ACTIONS(57), 1,
      anon_sym_QMARK,
    ACTIONS(59), 1,
      anon_sym_PLUS,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(65), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(67), 1,
      anon_sym_AMP_AMP,
    ACTIONS(69), 1,
      anon_sym_PIPE,
    ACTIONS(77), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_DASH,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(39), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(73), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(71), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(343), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(341), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5702] = 4,
    ACTIONS(287), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(348), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(345), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5766] = 4,
    ACTIONS(321), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(353), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(351), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5830] = 4,
    ACTIONS(313), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(358), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(355), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5894] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(395), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    STATE(605), 1,
      sym_if_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [5995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(365), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(363), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(369), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(367), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(373), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(371), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(377), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(375), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(381), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(379), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(385), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(383), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(389), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(387), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(393), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(391), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6483] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(404), 1,
      sym_expression,
    STATE(555), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(397), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(395), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(401), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(399), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(405), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(403), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(409), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(407), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(413), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(411), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(417), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(415), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [6950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(421), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(419), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(425), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(423), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(273), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(429), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(427), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(385), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(383), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(433), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(431), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7316] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(386), 1,
      sym_expression,
    STATE(544), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7417] = 4,
    ACTIONS(439), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(437), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(435), 29,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(443), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(441), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(447), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(445), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7602] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(387), 1,
      sym_expression,
    STATE(560), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7703] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(388), 1,
      sym_expression,
    STATE(575), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(353), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(351), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(451), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(449), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [7926] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(394), 1,
      sym_expression,
    STATE(587), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(455), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(453), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8088] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(396), 1,
      sym_expression,
    STATE(556), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(459), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(457), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8250] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(380), 1,
      sym_expression,
    STATE(536), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8351] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(400), 1,
      sym_expression,
    STATE(538), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8452] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(401), 1,
      sym_expression,
    STATE(540), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8553] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(402), 1,
      sym_expression,
    STATE(551), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8654] = 23,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(361), 1,
      anon_sym_if,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(403), 1,
      sym_expression,
    STATE(553), 1,
      sym_if_statement,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(463), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(461), 30,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8816] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(359), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [8914] = 22,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(467), 1,
      anon_sym_DOT,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(46), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9012] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(358), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9110] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(356), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9208] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(473), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(360), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9306] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(475), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(361), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9404] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(477), 1,
      anon_sym_RBRACK,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(389), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9502] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(362), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9600] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(481), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(357), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9698] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    ACTIONS(483), 1,
      anon_sym_RBRACK,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(397), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9796] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(398), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9891] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(412), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [9986] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(383), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10081] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(384), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10176] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(68), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10271] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(320), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10366] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(256), 1,
      sym_expression,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10461] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(276), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10556] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(3), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10651] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(385), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10746] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(264), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10841] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(265), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [10936] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(46), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11031] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(389), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11126] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(390), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11221] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(268), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11316] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(269), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11411] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(270), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11506] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(271), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11601] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(272), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11696] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(273), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11791] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(274), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11886] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(275), 1,
      sym_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [11981] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(49), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12076] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(50), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12171] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(52), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12266] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(53), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12361] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(54), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12456] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(55), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12551] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(56), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12646] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(57), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12741] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(58), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12836] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(59), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [12931] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(302), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13026] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(298), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13121] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(312), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13216] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(379), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13311] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(63), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13406] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(413), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13501] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(299), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13596] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(66), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13691] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(208), 1,
      sym_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13786] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(487), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(273), 14,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(485), 24,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13849] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(214), 1,
      sym_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [13944] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(381), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14039] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(219), 1,
      sym_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14134] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(220), 1,
      sym_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14229] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(221), 1,
      sym_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14324] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(196), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14419] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(197), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14514] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(198), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14609] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(199), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14704] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(201), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14799] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(323), 1,
      sym_call_expression,
    STATE(414), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14896] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(64), 1,
      sym_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [14991] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(206), 1,
      sym_expression,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15086] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(235), 1,
      sym_call_expression,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(417), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15183] = 22,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(164), 1,
      sym_call_expression,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(420), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 6,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15280] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(7), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15375] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(391), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15470] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(392), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15565] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(393), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15660] = 21,
    ACTIONS(31), 1,
      sym_identifier,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_number,
    ACTIONS(83), 1,
      sym_null,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_BANG,
    ACTIONS(157), 1,
      anon_sym_LPAREN,
    ACTIONS(159), 1,
      anon_sym_LBRACK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    STATE(6), 1,
      sym_expression,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(92), 1,
      sym_primary_expression,
    STATE(569), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(81), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(97), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(44), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(78), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(90), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(33), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15755] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(397), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15850] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(405), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [15945] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(406), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16040] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(407), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16135] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(408), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16230] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(409), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16325] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(410), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16420] = 21,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_BANG,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    ACTIONS(187), 1,
      anon_sym_DASH,
    ACTIONS(189), 1,
      sym_number,
    ACTIONS(193), 1,
      sym_null,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(259), 1,
      sym_parenthesized_expression,
    STATE(284), 1,
      sym_primary_expression,
    STATE(411), 1,
      sym_expression,
    STATE(589), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(257), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(285), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(283), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(177), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16515] = 21,
    ACTIONS(215), 1,
      sym_identifier,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_BANG,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 1,
      anon_sym_DASH,
    ACTIONS(229), 1,
      sym_number,
    ACTIONS(233), 1,
      sym_null,
    ACTIONS(235), 1,
      anon_sym_SQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(207), 1,
      sym_parenthesized_expression,
    STATE(215), 1,
      sym_expression,
    STATE(226), 1,
      sym_primary_expression,
    STATE(567), 1,
      sym__lhs_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(229), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(216), 3,
      sym_member_expression,
      sym_subscript_expression,
      sym_resource_expression,
    STATE(227), 5,
      sym_lambda_expression,
      sym_assignment_expression,
      sym_ternary_expression,
      sym_binary_expression,
      sym_unary_expression,
    STATE(228), 7,
      sym_call_expression,
      sym_array,
      sym_object,
      sym_for_statement,
      sym__literal,
      sym_boolean,
      sym_string,
    ACTIONS(217), 17,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16610] = 22,
    ACTIONS(495), 1,
      anon_sym_BANG,
    ACTIONS(497), 1,
      anon_sym_EQ_GT,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_DOT,
    ACTIONS(505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(507), 1,
      anon_sym_QMARK,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(513), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_QMARK_QMARK,
    STATE(211), 1,
      sym_arguments,
    STATE(419), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(491), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(489), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16705] = 22,
    ACTIONS(495), 1,
      anon_sym_BANG,
    ACTIONS(497), 1,
      anon_sym_EQ_GT,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_DOT,
    ACTIONS(505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(507), 1,
      anon_sym_QMARK,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(513), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_QMARK_QMARK,
    STATE(211), 1,
      sym_arguments,
    STATE(419), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(529), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(527), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16800] = 11,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 22,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16872] = 10,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(293), 14,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 22,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [16942] = 8,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(293), 16,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 24,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17008] = 14,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(513), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 21,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(455), 21,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(453), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17142] = 21,
    ACTIONS(497), 1,
      anon_sym_EQ_GT,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_DOT,
    ACTIONS(505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(507), 1,
      anon_sym_QMARK,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(513), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(531), 1,
      anon_sym_BANG,
    ACTIONS(533), 1,
      anon_sym_LBRACK,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(307), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(305), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(315), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(313), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(319), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(317), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(323), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(321), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(421), 21,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(419), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17458] = 17,
    ACTIONS(497), 1,
      anon_sym_EQ_GT,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(507), 1,
      anon_sym_QMARK,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(513), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_QMARK_QMARK,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(327), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(325), 20,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17542] = 4,
    ACTIONS(535), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(273), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17600] = 5,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(279), 19,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(277), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(285), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(283), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(425), 21,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(423), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17772] = 4,
    ACTIONS(537), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(437), 21,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(435), 25,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(289), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(287), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(417), 21,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(415), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [17942] = 5,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(293), 19,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18002] = 17,
    ACTIONS(497), 1,
      anon_sym_EQ_GT,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(507), 1,
      anon_sym_QMARK,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(513), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_QMARK_QMARK,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(297), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(295), 20,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18086] = 4,
    ACTIONS(271), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(273), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(267), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(265), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(303), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(301), 27,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18256] = 7,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(293), 18,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 24,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18320] = 13,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(515), 1,
      anon_sym_AMP_AMP,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 21,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18396] = 12,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_PERCENT,
    ACTIONS(517), 1,
      anon_sym_PIPE,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(493), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(509), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(521), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(523), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(519), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 21,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(373), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(371), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(413), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(411), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(451), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(449), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(459), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(457), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(385), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(383), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(385), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(383), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(273), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(447), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(445), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18910] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(541), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(449), 6,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(451), 16,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(539), 20,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [18969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(381), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(379), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(429), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(427), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(463), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(461), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(433), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(431), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19189] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(487), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(269), 7,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(273), 17,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(485), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(443), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(441), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(353), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(351), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(365), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(363), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(369), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(367), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(377), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(375), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(389), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(387), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(393), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(391), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(397), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(395), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(401), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(399), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(405), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(403), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(409), 20,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(407), 26,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [19853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(287), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(289), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [19905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(461), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(463), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [19957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(283), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(285), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(431), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(433), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(313), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(315), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(363), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(365), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(371), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(373), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(445), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(447), 35,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(367), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(369), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20320] = 17,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(325), 2,
      anon_sym_BANG,
      anon_sym_COLON,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(327), 19,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [20399] = 4,
    ACTIONS(271), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(273), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(317), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(319), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20503] = 4,
    ACTIONS(569), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(273), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(379), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(381), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(395), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(397), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(321), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(323), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(387), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(389), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20760] = 5,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(291), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(293), 33,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20815] = 17,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(295), 2,
      anon_sym_BANG,
      anon_sym_COLON,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(297), 19,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [20894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(265), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(267), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(301), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(303), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [20996] = 7,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(291), 6,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(293), 31,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21055] = 13,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(291), 3,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 22,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21126] = 12,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(291), 3,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 23,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK_QMARK,
  [21195] = 11,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(291), 4,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 23,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK_QMARK,
  [21262] = 10,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(291), 4,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(293), 27,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_QMARK_QMARK,
  [21327] = 8,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(291), 6,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(293), 29,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21388] = 14,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(291), 3,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(293), 21,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_QMARK_QMARK,
  [21461] = 21,
    ACTIONS(305), 1,
      anon_sym_COLON,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(307), 16,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_RBRACK,
  [21548] = 5,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(277), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(279), 33,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(441), 8,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(443), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(391), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(393), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(449), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(451), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(351), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(353), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21804] = 4,
    ACTIONS(579), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(435), 6,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(437), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(407), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(409), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(273), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [21956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(383), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(385), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(383), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(385), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(419), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(421), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(375), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(377), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22156] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(453), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(455), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(457), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(459), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(415), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(417), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22306] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(399), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(401), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(411), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(413), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(427), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(429), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(403), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(405), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(423), 7,
      anon_sym_BANG,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(425), 34,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22556] = 21,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    STATE(281), 1,
      sym_arguments,
    STATE(327), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(581), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [22639] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22689] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(589), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [22769] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(591), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [22849] = 5,
    ACTIONS(539), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(449), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(541), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(451), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22899] = 5,
    ACTIONS(595), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(593), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [22949] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(597), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [23029] = 15,
    ACTIONS(595), 1,
      anon_sym_EQ,
    ACTIONS(603), 1,
      anon_sym_SLASH,
    ACTIONS(605), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(609), 1,
      anon_sym_PIPE,
    ACTIONS(617), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(613), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(615), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(611), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(273), 5,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(593), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [23099] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(449), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(451), 4,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(539), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(541), 26,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23149] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23199] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23249] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23299] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23349] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23399] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23449] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23499] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(620), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [23579] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23629] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23679] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23729] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23779] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23829] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23879] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [23929] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(624), 1,
      anon_sym_BANG,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(622), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [24009] = 15,
    ACTIONS(595), 1,
      anon_sym_EQ,
    ACTIONS(603), 1,
      anon_sym_SLASH,
    ACTIONS(605), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(609), 1,
      anon_sym_PIPE,
    ACTIONS(617), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(613), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(615), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(611), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(273), 5,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(593), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [24079] = 5,
    ACTIONS(587), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(585), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24129] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(269), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(487), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
    ACTIONS(273), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24176] = 5,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    STATE(324), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(628), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(626), 25,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24221] = 5,
    ACTIONS(637), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(325), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    ACTIONS(635), 6,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(633), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_DASH,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24266] = 5,
    ACTIONS(47), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(325), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    ACTIONS(642), 6,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_number,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(640), 23,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_DASH,
      anon_sym_true,
      anon_sym_false,
      sym_null,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24311] = 5,
    ACTIONS(648), 1,
      anon_sym_LBRACK,
    STATE(324), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(646), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(644), 25,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24356] = 5,
    ACTIONS(648), 1,
      anon_sym_LBRACK,
    STATE(324), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(652), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(650), 25,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24401] = 5,
    ACTIONS(648), 1,
      anon_sym_LBRACK,
    STATE(328), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(656), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(654), 25,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24446] = 14,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(662), 1,
      anon_sym_RBRACE,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(666), 1,
      anon_sym_AT,
    STATE(344), 1,
      sym_object_property,
    STATE(377), 1,
      sym_decorators,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(422), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24508] = 14,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(666), 1,
      anon_sym_AT,
    ACTIONS(668), 1,
      anon_sym_RBRACE,
    STATE(352), 1,
      sym_object_property,
    STATE(378), 1,
      sym_decorators,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(422), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(628), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(626), 26,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24610] = 14,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(666), 1,
      anon_sym_AT,
    ACTIONS(670), 1,
      anon_sym_RBRACE,
    STATE(340), 1,
      sym_object_property,
    STATE(375), 1,
      sym_decorators,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(422), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24672] = 14,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(666), 1,
      anon_sym_AT,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    STATE(346), 1,
      sym_object_property,
    STATE(363), 1,
      sym_decorators,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(422), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24734] = 13,
    ACTIONS(595), 1,
      anon_sym_EQ,
    ACTIONS(603), 1,
      anon_sym_SLASH,
    ACTIONS(605), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(609), 1,
      anon_sym_PIPE,
    ACTIONS(674), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(613), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(615), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(611), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(593), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [24793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(656), 5,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(654), 25,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_STAR,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_QMARK,
  [24832] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(676), 1,
      anon_sym_COMMA,
    ACTIONS(678), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24888] = 12,
    ACTIONS(680), 1,
      sym_identifier,
    ACTIONS(686), 1,
      anon_sym_COMMA,
    ACTIONS(689), 1,
      anon_sym_RBRACE,
    ACTIONS(691), 1,
      anon_sym_resource,
    ACTIONS(694), 1,
      anon_sym_SQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(683), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [24944] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(700), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25000] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(704), 1,
      anon_sym_COMMA,
    ACTIONS(706), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(342), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25056] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(708), 1,
      anon_sym_COMMA,
    ACTIONS(710), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(343), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25112] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(708), 1,
      anon_sym_COMMA,
    ACTIONS(710), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25168] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(712), 1,
      anon_sym_COMMA,
    ACTIONS(714), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25224] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(716), 1,
      anon_sym_COMMA,
    ACTIONS(718), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(355), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25280] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(720), 1,
      anon_sym_COMMA,
    ACTIONS(722), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(339), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25336] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(724), 1,
      anon_sym_COMMA,
    ACTIONS(726), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(351), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25392] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(728), 1,
      anon_sym_COMMA,
    ACTIONS(730), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25448] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(720), 1,
      anon_sym_COMMA,
    ACTIONS(722), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25504] = 17,
    ACTIONS(9), 1,
      anon_sym_module,
    ACTIONS(11), 1,
      anon_sym_import,
    ACTIONS(13), 1,
      anon_sym_provider,
    ACTIONS(15), 1,
      anon_sym_targetScope,
    ACTIONS(17), 1,
      anon_sym_metadata,
    ACTIONS(19), 1,
      anon_sym_output,
    ACTIONS(21), 1,
      anon_sym_param,
    ACTIONS(23), 1,
      anon_sym_resource,
    ACTIONS(25), 1,
      anon_sym_type,
    ACTIONS(27), 1,
      anon_sym_var,
    ACTIONS(29), 1,
      anon_sym_AT,
    ACTIONS(732), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(353), 2,
      sym_statement,
      aux_sym_infrastructure_repeat1,
    STATE(445), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(460), 6,
      sym_declaration,
      sym_import_statement,
      sym_import_with_statement,
      sym_import_functionality,
      sym_target_scope_assignment,
      sym_decorators,
    STATE(462), 7,
      sym_module_declaration,
      sym_metadata_declaration,
      sym_output_declaration,
      sym_parameter_declaration,
      sym_resource_declaration,
      sym_type_declaration,
      sym_variable_declaration,
  [25570] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(734), 1,
      anon_sym_COMMA,
    ACTIONS(736), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(337), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25626] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(734), 1,
      anon_sym_COMMA,
    ACTIONS(736), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25682] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(738), 1,
      anon_sym_COMMA,
    ACTIONS(740), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(348), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25738] = 17,
    ACTIONS(742), 1,
      ts_builtin_sym_end,
    ACTIONS(744), 1,
      anon_sym_module,
    ACTIONS(747), 1,
      anon_sym_import,
    ACTIONS(750), 1,
      anon_sym_provider,
    ACTIONS(753), 1,
      anon_sym_targetScope,
    ACTIONS(756), 1,
      anon_sym_metadata,
    ACTIONS(759), 1,
      anon_sym_output,
    ACTIONS(762), 1,
      anon_sym_param,
    ACTIONS(765), 1,
      anon_sym_resource,
    ACTIONS(768), 1,
      anon_sym_type,
    ACTIONS(771), 1,
      anon_sym_var,
    ACTIONS(774), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(353), 2,
      sym_statement,
      aux_sym_infrastructure_repeat1,
    STATE(445), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    STATE(460), 6,
      sym_declaration,
      sym_import_statement,
      sym_import_with_statement,
      sym_import_functionality,
      sym_target_scope_assignment,
      sym_decorators,
    STATE(462), 7,
      sym_module_declaration,
      sym_metadata_declaration,
      sym_output_declaration,
      sym_parameter_declaration,
      sym_resource_declaration,
      sym_type_declaration,
      sym_variable_declaration,
  [25804] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(347), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25860] = 12,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(338), 2,
      sym_object_property,
      aux_sym_object_repeat1,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [25916] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(511), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25991] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(785), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(520), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26066] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(787), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(517), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26141] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(789), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(508), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26216] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(516), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26291] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(513), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26366] = 22,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    STATE(281), 1,
      sym_arguments,
    STATE(512), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26441] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(726), 1,
      anon_sym_RBRACE,
    STATE(350), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26493] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(722), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26545] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26597] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(710), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26649] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26701] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(714), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26753] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26805] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(736), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26857] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(801), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26909] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(803), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [26961] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(730), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27013] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(678), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27065] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(706), 1,
      anon_sym_RBRACE,
    STATE(341), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27117] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27169] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(718), 1,
      anon_sym_RBRACE,
    STATE(354), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27221] = 11,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    ACTIONS(740), 1,
      anon_sym_RBRACE,
    STATE(345), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27273] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27343] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(807), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27412] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(809), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27481] = 10,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(658), 1,
      sym_identifier,
    ACTIONS(664), 1,
      anon_sym_resource,
    STATE(428), 1,
      sym_object_property,
    STATE(440), 1,
      sym_resource_declaration,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    STATE(561), 2,
      sym_string,
      sym_compatible_identifier,
    ACTIONS(660), 16,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [27530] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(811), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27599] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(813), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27668] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27737] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(817), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27806] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(819), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27875] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(821), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27944] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(823), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28013] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(825), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28082] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(827), 1,
      anon_sym_RBRACE,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28151] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(829), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28220] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(831), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28289] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(833), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28358] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(835), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28427] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28496] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(839), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28565] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(841), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28634] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    STATE(281), 1,
      sym_arguments,
    STATE(327), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28703] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(843), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28772] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(845), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28841] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28910] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(849), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28979] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(851), 1,
      anon_sym_RBRACK,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29048] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(853), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29117] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(855), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29186] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(857), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29255] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(859), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29324] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(861), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29393] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(863), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29462] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(865), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29531] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(867), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29600] = 20,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    ACTIONS(869), 1,
      anon_sym_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29669] = 19,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(547), 1,
      anon_sym_LPAREN,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29735] = 5,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(416), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(650), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(652), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [29773] = 5,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    STATE(416), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(626), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(628), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [29811] = 19,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(211), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29877] = 5,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(415), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(654), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(656), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [29915] = 5,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    STATE(416), 1,
      aux_sym__array_builtin_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(644), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(646), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [29953] = 19,
    ACTIONS(281), 1,
      anon_sym_LPAREN,
    ACTIONS(545), 1,
      anon_sym_EQ_GT,
    ACTIONS(549), 1,
      anon_sym_QMARK,
    ACTIONS(553), 1,
      anon_sym_SLASH,
    ACTIONS(555), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(559), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_BANG,
    ACTIONS(573), 1,
      anon_sym_LBRACK,
    ACTIONS(575), 1,
      anon_sym_DOT,
    ACTIONS(577), 1,
      anon_sym_COLON_COLON,
    STATE(95), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(543), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(551), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(563), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(565), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(561), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [30019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(626), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(628), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30052] = 5,
    ACTIONS(666), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(642), 2,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    ACTIONS(640), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30089] = 5,
    ACTIONS(876), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(635), 2,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    ACTIONS(633), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30126] = 4,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(881), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(879), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30160] = 4,
    ACTIONS(885), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(491), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(489), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(654), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(656), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30226] = 4,
    ACTIONS(885), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(529), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(527), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(689), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(887), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(891), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(889), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(381), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(379), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(443), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(441), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(389), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(387), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30415] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(409), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(407), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(369), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(367), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(413), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(411), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(405), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(403), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(397), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(395), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(881), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(879), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(491), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(489), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(895), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(893), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(899), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(897), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(903), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(901), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(529), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(527), 19,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_existing,
      anon_sym_type,
      anon_sym_var,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_array,
      anon_sym_bool,
      anon_sym_int,
      anon_sym_object,
      anon_sym_secureObject,
      anon_sym_secureString,
      anon_sym_string,
  [30756] = 4,
    ACTIONS(907), 1,
      anon_sym_as,
    ACTIONS(909), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(905), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30781] = 4,
    ACTIONS(29), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(446), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    ACTIONS(642), 11,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
  [30806] = 4,
    ACTIONS(911), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(446), 2,
      sym_decorator,
      aux_sym_decorators_repeat1,
    ACTIONS(635), 11,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
  [30831] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(914), 14,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_as,
      anon_sym_with,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30852] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30892] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30912] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30932] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30972] = 3,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(916), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [30994] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(920), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31034] = 3,
    ACTIONS(924), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(922), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(585), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_EQ,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31076] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(891), 13,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
      anon_sym_RBRACK,
  [31096] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(926), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(928), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(930), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(932), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31172] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(934), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31191] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(936), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31210] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(903), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(938), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31248] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(940), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31267] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(942), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(899), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(581), 12,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_import,
      anon_sym_provider,
      anon_sym_targetScope,
      anon_sym_metadata,
      anon_sym_output,
      anon_sym_param,
      anon_sym_resource,
      anon_sym_type,
      anon_sym_var,
      anon_sym_AT,
  [31324] = 5,
    ACTIONS(944), 1,
      anon_sym_SQUOTE,
    ACTIONS(948), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(477), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(946), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31347] = 5,
    ACTIONS(948), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(950), 1,
      anon_sym_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(477), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(946), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31370] = 5,
    ACTIONS(948), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(952), 1,
      anon_sym_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(478), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(954), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31393] = 5,
    ACTIONS(948), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(956), 1,
      anon_sym_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(472), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(958), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31416] = 5,
    ACTIONS(948), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(960), 1,
      anon_sym_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(473), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(962), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31439] = 5,
    ACTIONS(964), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(477), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(966), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31462] = 5,
    ACTIONS(948), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(972), 1,
      anon_sym_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(477), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__string_literal_repeat1,
    ACTIONS(946), 5,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [31485] = 5,
    ACTIONS(974), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(976), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(482), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31506] = 5,
    ACTIONS(978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(980), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(976), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(482), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31527] = 5,
    ACTIONS(978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(982), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(984), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(479), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31548] = 5,
    ACTIONS(986), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(988), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(482), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31569] = 5,
    ACTIONS(978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(994), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(996), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(484), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31590] = 5,
    ACTIONS(978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(998), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(976), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(482), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31611] = 5,
    ACTIONS(978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(1002), 3,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(480), 3,
      sym__escape_sequence,
      sym_interpolation,
      aux_sym__multiline_string_literal_repeat1,
  [31632] = 2,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(1004), 7,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      sym_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [31646] = 5,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(1006), 1,
      anon_sym_LBRACK,
    ACTIONS(1008), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(470), 3,
      sym_object,
      sym_if_statement,
      sym_for_statement,
  [31665] = 5,
    ACTIONS(1010), 1,
      anon_sym_LBRACE,
    ACTIONS(1012), 1,
      anon_sym_LBRACK,
    ACTIONS(1014), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(442), 3,
      sym_object,
      sym_if_statement,
      sym_for_statement,
  [31684] = 5,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(1006), 1,
      anon_sym_LBRACK,
    ACTIONS(1008), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(466), 3,
      sym_object,
      sym_if_statement,
      sym_for_statement,
  [31703] = 5,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    ACTIONS(1006), 1,
      anon_sym_LBRACK,
    ACTIONS(1008), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(465), 3,
      sym_object,
      sym_if_statement,
      sym_for_statement,
  [31722] = 5,
    ACTIONS(1010), 1,
      anon_sym_LBRACE,
    ACTIONS(1012), 1,
      anon_sym_LBRACK,
    ACTIONS(1014), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(441), 3,
      sym_object,
      sym_if_statement,
      sym_for_statement,
  [31741] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(588), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31759] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(463), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31777] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(468), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31795] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(469), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31813] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(529), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31831] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(467), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31849] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(527), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31867] = 5,
    ACTIONS(195), 1,
      anon_sym_SQUOTE,
    ACTIONS(197), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(461), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    STATE(254), 2,
      sym__string_literal,
      sym__multiline_string_literal,
  [31885] = 2,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(1004), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym__multiline_string_content,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      anon_sym_DOLLAR_LBRACE,
  [31897] = 5,
    ACTIONS(1016), 1,
      sym_identifier,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1020), 1,
      anon_sym_in,
    STATE(582), 1,
      sym_for_loop_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [31914] = 5,
    ACTIONS(1022), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    ACTIONS(1026), 1,
      anon_sym_SQUOTE,
    STATE(444), 1,
      sym_import_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [31931] = 5,
    ACTIONS(1028), 1,
      anon_sym_as,
    ACTIONS(1030), 1,
      anon_sym_COMMA,
    ACTIONS(1032), 1,
      anon_sym_RBRACE,
    STATE(509), 1,
      aux_sym_import_functionality_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [31948] = 5,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1034), 1,
      sym_identifier,
    ACTIONS(1036), 1,
      anon_sym_in,
    STATE(600), 1,
      sym_for_loop_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [31965] = 5,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1038), 1,
      sym_identifier,
    ACTIONS(1040), 1,
      anon_sym_in,
    STATE(604), 1,
      sym_for_loop_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [31982] = 5,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      sym_identifier,
    ACTIONS(1044), 1,
      anon_sym_in,
    STATE(607), 1,
      sym_for_loop_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [31999] = 4,
    ACTIONS(805), 1,
      anon_sym_RPAREN,
    ACTIONS(1046), 1,
      anon_sym_COMMA,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32013] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1049), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32027] = 4,
    ACTIONS(1030), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    STATE(519), 1,
      aux_sym_import_functionality_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32041] = 3,
    ACTIONS(1053), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(1055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32053] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32067] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1059), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32081] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1061), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32095] = 4,
    ACTIONS(1030), 1,
      anon_sym_COMMA,
    ACTIONS(1063), 1,
      anon_sym_RBRACE,
    STATE(515), 1,
      aux_sym_import_functionality_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32109] = 4,
    ACTIONS(1030), 1,
      anon_sym_COMMA,
    ACTIONS(1065), 1,
      anon_sym_RBRACE,
    STATE(519), 1,
      aux_sym_import_functionality_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32123] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32137] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1069), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32151] = 4,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1075), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32165] = 4,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1077), 1,
      anon_sym_COMMA,
    STATE(519), 1,
      aux_sym_import_functionality_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32179] = 4,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    STATE(507), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32193] = 3,
    ACTIONS(1082), 1,
      anon_sym_COLON,
    ACTIONS(1084), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32204] = 3,
    ACTIONS(1073), 1,
      anon_sym_COLON,
    ACTIONS(1075), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32215] = 3,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    STATE(524), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32226] = 3,
    ACTIONS(179), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32237] = 3,
    ACTIONS(1026), 1,
      anon_sym_SQUOTE,
    STATE(444), 1,
      sym_import_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32248] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
    ACTIONS(1086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32257] = 3,
    ACTIONS(1088), 1,
      anon_sym_EQ,
    ACTIONS(1090), 1,
      anon_sym_existing,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32268] = 3,
    ACTIONS(183), 1,
      anon_sym_LPAREN,
    STATE(530), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32279] = 3,
    ACTIONS(1092), 1,
      anon_sym_EQ,
    ACTIONS(1094), 1,
      anon_sym_existing,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32290] = 3,
    ACTIONS(1010), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32301] = 2,
    ACTIONS(1096), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32309] = 2,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32317] = 2,
    ACTIONS(1100), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32325] = 2,
    ACTIONS(1102), 1,
      aux_sym_import_string_token2,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32333] = 2,
    ACTIONS(1104), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32341] = 2,
    ACTIONS(807), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32349] = 2,
    ACTIONS(1106), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32357] = 2,
    ACTIONS(843), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32365] = 2,
    ACTIONS(1108), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32373] = 2,
    ACTIONS(845), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32381] = 2,
    ACTIONS(1110), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32389] = 2,
    ACTIONS(1112), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32397] = 2,
    ACTIONS(1114), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32405] = 2,
    ACTIONS(817), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32413] = 2,
    ACTIONS(1116), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32421] = 2,
    ACTIONS(1118), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32429] = 2,
    ACTIONS(1120), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32437] = 2,
    ACTIONS(1122), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32445] = 2,
    ACTIONS(1124), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32453] = 2,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32461] = 2,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32469] = 2,
    ACTIONS(1128), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32477] = 2,
    ACTIONS(849), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32485] = 2,
    ACTIONS(1130), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32493] = 2,
    ACTIONS(851), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32501] = 2,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32509] = 2,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32517] = 2,
    ACTIONS(1134), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32525] = 2,
    ACTIONS(467), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32533] = 2,
    ACTIONS(819), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32541] = 2,
    ACTIONS(1082), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32549] = 2,
    ACTIONS(1136), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32557] = 2,
    ACTIONS(1138), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32565] = 2,
    ACTIONS(1140), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32573] = 2,
    ACTIONS(1142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32581] = 2,
    ACTIONS(477), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32589] = 2,
    ACTIONS(1144), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32597] = 2,
    ACTIONS(1146), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32605] = 2,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32613] = 2,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32621] = 2,
    ACTIONS(1150), 1,
      aux_sym_import_string_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32629] = 2,
    ACTIONS(1152), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32637] = 2,
    ACTIONS(1154), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32645] = 2,
    ACTIONS(1156), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32653] = 2,
    ACTIONS(821), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32661] = 2,
    ACTIONS(1158), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32669] = 2,
    ACTIONS(1160), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32677] = 2,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32685] = 2,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32693] = 2,
    ACTIONS(1164), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32701] = 2,
    ACTIONS(1166), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32709] = 2,
    ACTIONS(1168), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32717] = 2,
    ACTIONS(1170), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32725] = 2,
    ACTIONS(1172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32733] = 2,
    ACTIONS(1174), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32741] = 2,
    ACTIONS(483), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32749] = 2,
    ACTIONS(833), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32757] = 2,
    ACTIONS(1176), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32765] = 2,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32773] = 2,
    ACTIONS(1180), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32781] = 2,
    ACTIONS(1182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32789] = 2,
    ACTIONS(1184), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32797] = 2,
    ACTIONS(1186), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32805] = 2,
    ACTIONS(1032), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32813] = 2,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32821] = 2,
    ACTIONS(1190), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32829] = 2,
    ACTIONS(1192), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32837] = 2,
    ACTIONS(1194), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32845] = 2,
    ACTIONS(1196), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32853] = 2,
    ACTIONS(1198), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32861] = 2,
    ACTIONS(1200), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32869] = 2,
    ACTIONS(1202), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32877] = 2,
    ACTIONS(1204), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32885] = 2,
    ACTIONS(1206), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32893] = 2,
    ACTIONS(835), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32901] = 2,
    ACTIONS(1208), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32909] = 2,
    ACTIONS(1210), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
  [32917] = 2,
    ACTIONS(1212), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_diagnostic_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(9)] = 0,
  [SMALL_STATE(10)] = 114,
  [SMALL_STATE(11)] = 228,
  [SMALL_STATE(12)] = 342,
  [SMALL_STATE(13)] = 456,
  [SMALL_STATE(14)] = 570,
  [SMALL_STATE(15)] = 684,
  [SMALL_STATE(16)] = 798,
  [SMALL_STATE(17)] = 915,
  [SMALL_STATE(18)] = 1026,
  [SMALL_STATE(19)] = 1137,
  [SMALL_STATE(20)] = 1248,
  [SMALL_STATE(21)] = 1365,
  [SMALL_STATE(22)] = 1476,
  [SMALL_STATE(23)] = 1584,
  [SMALL_STATE(24)] = 1692,
  [SMALL_STATE(25)] = 1800,
  [SMALL_STATE(26)] = 1908,
  [SMALL_STATE(27)] = 2018,
  [SMALL_STATE(28)] = 2128,
  [SMALL_STATE(29)] = 2236,
  [SMALL_STATE(30)] = 2344,
  [SMALL_STATE(31)] = 2452,
  [SMALL_STATE(32)] = 2560,
  [SMALL_STATE(33)] = 2668,
  [SMALL_STATE(34)] = 2777,
  [SMALL_STATE(35)] = 2886,
  [SMALL_STATE(36)] = 2991,
  [SMALL_STATE(37)] = 3100,
  [SMALL_STATE(38)] = 3209,
  [SMALL_STATE(39)] = 3318,
  [SMALL_STATE(40)] = 3427,
  [SMALL_STATE(41)] = 3534,
  [SMALL_STATE(42)] = 3643,
  [SMALL_STATE(43)] = 3752,
  [SMALL_STATE(44)] = 3814,
  [SMALL_STATE(45)] = 3878,
  [SMALL_STATE(46)] = 3942,
  [SMALL_STATE(47)] = 4008,
  [SMALL_STATE(48)] = 4070,
  [SMALL_STATE(49)] = 4132,
  [SMALL_STATE(50)] = 4198,
  [SMALL_STATE(51)] = 4290,
  [SMALL_STATE(52)] = 4352,
  [SMALL_STATE(53)] = 4422,
  [SMALL_STATE(54)] = 4506,
  [SMALL_STATE(55)] = 4588,
  [SMALL_STATE(56)] = 4668,
  [SMALL_STATE(57)] = 4746,
  [SMALL_STATE(58)] = 4820,
  [SMALL_STATE(59)] = 4906,
  [SMALL_STATE(60)] = 5006,
  [SMALL_STATE(61)] = 5068,
  [SMALL_STATE(62)] = 5130,
  [SMALL_STATE(63)] = 5192,
  [SMALL_STATE(64)] = 5284,
  [SMALL_STATE(65)] = 5380,
  [SMALL_STATE(66)] = 5444,
  [SMALL_STATE(67)] = 5510,
  [SMALL_STATE(68)] = 5606,
  [SMALL_STATE(69)] = 5702,
  [SMALL_STATE(70)] = 5766,
  [SMALL_STATE(71)] = 5830,
  [SMALL_STATE(72)] = 5894,
  [SMALL_STATE(73)] = 5995,
  [SMALL_STATE(74)] = 6056,
  [SMALL_STATE(75)] = 6117,
  [SMALL_STATE(76)] = 6178,
  [SMALL_STATE(77)] = 6239,
  [SMALL_STATE(78)] = 6300,
  [SMALL_STATE(79)] = 6361,
  [SMALL_STATE(80)] = 6422,
  [SMALL_STATE(81)] = 6483,
  [SMALL_STATE(82)] = 6584,
  [SMALL_STATE(83)] = 6645,
  [SMALL_STATE(84)] = 6706,
  [SMALL_STATE(85)] = 6767,
  [SMALL_STATE(86)] = 6828,
  [SMALL_STATE(87)] = 6889,
  [SMALL_STATE(88)] = 6950,
  [SMALL_STATE(89)] = 7011,
  [SMALL_STATE(90)] = 7072,
  [SMALL_STATE(91)] = 7133,
  [SMALL_STATE(92)] = 7194,
  [SMALL_STATE(93)] = 7255,
  [SMALL_STATE(94)] = 7316,
  [SMALL_STATE(95)] = 7417,
  [SMALL_STATE(96)] = 7480,
  [SMALL_STATE(97)] = 7541,
  [SMALL_STATE(98)] = 7602,
  [SMALL_STATE(99)] = 7703,
  [SMALL_STATE(100)] = 7804,
  [SMALL_STATE(101)] = 7865,
  [SMALL_STATE(102)] = 7926,
  [SMALL_STATE(103)] = 8027,
  [SMALL_STATE(104)] = 8088,
  [SMALL_STATE(105)] = 8189,
  [SMALL_STATE(106)] = 8250,
  [SMALL_STATE(107)] = 8351,
  [SMALL_STATE(108)] = 8452,
  [SMALL_STATE(109)] = 8553,
  [SMALL_STATE(110)] = 8654,
  [SMALL_STATE(111)] = 8755,
  [SMALL_STATE(112)] = 8816,
  [SMALL_STATE(113)] = 8914,
  [SMALL_STATE(114)] = 9012,
  [SMALL_STATE(115)] = 9110,
  [SMALL_STATE(116)] = 9208,
  [SMALL_STATE(117)] = 9306,
  [SMALL_STATE(118)] = 9404,
  [SMALL_STATE(119)] = 9502,
  [SMALL_STATE(120)] = 9600,
  [SMALL_STATE(121)] = 9698,
  [SMALL_STATE(122)] = 9796,
  [SMALL_STATE(123)] = 9891,
  [SMALL_STATE(124)] = 9986,
  [SMALL_STATE(125)] = 10081,
  [SMALL_STATE(126)] = 10176,
  [SMALL_STATE(127)] = 10271,
  [SMALL_STATE(128)] = 10366,
  [SMALL_STATE(129)] = 10461,
  [SMALL_STATE(130)] = 10556,
  [SMALL_STATE(131)] = 10651,
  [SMALL_STATE(132)] = 10746,
  [SMALL_STATE(133)] = 10841,
  [SMALL_STATE(134)] = 10936,
  [SMALL_STATE(135)] = 11031,
  [SMALL_STATE(136)] = 11126,
  [SMALL_STATE(137)] = 11221,
  [SMALL_STATE(138)] = 11316,
  [SMALL_STATE(139)] = 11411,
  [SMALL_STATE(140)] = 11506,
  [SMALL_STATE(141)] = 11601,
  [SMALL_STATE(142)] = 11696,
  [SMALL_STATE(143)] = 11791,
  [SMALL_STATE(144)] = 11886,
  [SMALL_STATE(145)] = 11981,
  [SMALL_STATE(146)] = 12076,
  [SMALL_STATE(147)] = 12171,
  [SMALL_STATE(148)] = 12266,
  [SMALL_STATE(149)] = 12361,
  [SMALL_STATE(150)] = 12456,
  [SMALL_STATE(151)] = 12551,
  [SMALL_STATE(152)] = 12646,
  [SMALL_STATE(153)] = 12741,
  [SMALL_STATE(154)] = 12836,
  [SMALL_STATE(155)] = 12931,
  [SMALL_STATE(156)] = 13026,
  [SMALL_STATE(157)] = 13121,
  [SMALL_STATE(158)] = 13216,
  [SMALL_STATE(159)] = 13311,
  [SMALL_STATE(160)] = 13406,
  [SMALL_STATE(161)] = 13501,
  [SMALL_STATE(162)] = 13596,
  [SMALL_STATE(163)] = 13691,
  [SMALL_STATE(164)] = 13786,
  [SMALL_STATE(165)] = 13849,
  [SMALL_STATE(166)] = 13944,
  [SMALL_STATE(167)] = 14039,
  [SMALL_STATE(168)] = 14134,
  [SMALL_STATE(169)] = 14229,
  [SMALL_STATE(170)] = 14324,
  [SMALL_STATE(171)] = 14419,
  [SMALL_STATE(172)] = 14514,
  [SMALL_STATE(173)] = 14609,
  [SMALL_STATE(174)] = 14704,
  [SMALL_STATE(175)] = 14799,
  [SMALL_STATE(176)] = 14896,
  [SMALL_STATE(177)] = 14991,
  [SMALL_STATE(178)] = 15086,
  [SMALL_STATE(179)] = 15183,
  [SMALL_STATE(180)] = 15280,
  [SMALL_STATE(181)] = 15375,
  [SMALL_STATE(182)] = 15470,
  [SMALL_STATE(183)] = 15565,
  [SMALL_STATE(184)] = 15660,
  [SMALL_STATE(185)] = 15755,
  [SMALL_STATE(186)] = 15850,
  [SMALL_STATE(187)] = 15945,
  [SMALL_STATE(188)] = 16040,
  [SMALL_STATE(189)] = 16135,
  [SMALL_STATE(190)] = 16230,
  [SMALL_STATE(191)] = 16325,
  [SMALL_STATE(192)] = 16420,
  [SMALL_STATE(193)] = 16515,
  [SMALL_STATE(194)] = 16610,
  [SMALL_STATE(195)] = 16705,
  [SMALL_STATE(196)] = 16800,
  [SMALL_STATE(197)] = 16872,
  [SMALL_STATE(198)] = 16942,
  [SMALL_STATE(199)] = 17008,
  [SMALL_STATE(200)] = 17086,
  [SMALL_STATE(201)] = 17142,
  [SMALL_STATE(202)] = 17234,
  [SMALL_STATE(203)] = 17290,
  [SMALL_STATE(204)] = 17346,
  [SMALL_STATE(205)] = 17402,
  [SMALL_STATE(206)] = 17458,
  [SMALL_STATE(207)] = 17542,
  [SMALL_STATE(208)] = 17600,
  [SMALL_STATE(209)] = 17660,
  [SMALL_STATE(210)] = 17716,
  [SMALL_STATE(211)] = 17772,
  [SMALL_STATE(212)] = 17830,
  [SMALL_STATE(213)] = 17886,
  [SMALL_STATE(214)] = 17942,
  [SMALL_STATE(215)] = 18002,
  [SMALL_STATE(216)] = 18086,
  [SMALL_STATE(217)] = 18144,
  [SMALL_STATE(218)] = 18200,
  [SMALL_STATE(219)] = 18256,
  [SMALL_STATE(220)] = 18320,
  [SMALL_STATE(221)] = 18396,
  [SMALL_STATE(222)] = 18470,
  [SMALL_STATE(223)] = 18525,
  [SMALL_STATE(224)] = 18580,
  [SMALL_STATE(225)] = 18635,
  [SMALL_STATE(226)] = 18690,
  [SMALL_STATE(227)] = 18745,
  [SMALL_STATE(228)] = 18800,
  [SMALL_STATE(229)] = 18855,
  [SMALL_STATE(230)] = 18910,
  [SMALL_STATE(231)] = 18969,
  [SMALL_STATE(232)] = 19024,
  [SMALL_STATE(233)] = 19079,
  [SMALL_STATE(234)] = 19134,
  [SMALL_STATE(235)] = 19189,
  [SMALL_STATE(236)] = 19248,
  [SMALL_STATE(237)] = 19303,
  [SMALL_STATE(238)] = 19358,
  [SMALL_STATE(239)] = 19413,
  [SMALL_STATE(240)] = 19468,
  [SMALL_STATE(241)] = 19523,
  [SMALL_STATE(242)] = 19578,
  [SMALL_STATE(243)] = 19633,
  [SMALL_STATE(244)] = 19688,
  [SMALL_STATE(245)] = 19743,
  [SMALL_STATE(246)] = 19798,
  [SMALL_STATE(247)] = 19853,
  [SMALL_STATE(248)] = 19905,
  [SMALL_STATE(249)] = 19957,
  [SMALL_STATE(250)] = 20009,
  [SMALL_STATE(251)] = 20061,
  [SMALL_STATE(252)] = 20113,
  [SMALL_STATE(253)] = 20165,
  [SMALL_STATE(254)] = 20217,
  [SMALL_STATE(255)] = 20269,
  [SMALL_STATE(256)] = 20320,
  [SMALL_STATE(257)] = 20399,
  [SMALL_STATE(258)] = 20452,
  [SMALL_STATE(259)] = 20503,
  [SMALL_STATE(260)] = 20556,
  [SMALL_STATE(261)] = 20607,
  [SMALL_STATE(262)] = 20658,
  [SMALL_STATE(263)] = 20709,
  [SMALL_STATE(264)] = 20760,
  [SMALL_STATE(265)] = 20815,
  [SMALL_STATE(266)] = 20894,
  [SMALL_STATE(267)] = 20945,
  [SMALL_STATE(268)] = 20996,
  [SMALL_STATE(269)] = 21055,
  [SMALL_STATE(270)] = 21126,
  [SMALL_STATE(271)] = 21195,
  [SMALL_STATE(272)] = 21262,
  [SMALL_STATE(273)] = 21327,
  [SMALL_STATE(274)] = 21388,
  [SMALL_STATE(275)] = 21461,
  [SMALL_STATE(276)] = 21548,
  [SMALL_STATE(277)] = 21603,
  [SMALL_STATE(278)] = 21654,
  [SMALL_STATE(279)] = 21704,
  [SMALL_STATE(280)] = 21754,
  [SMALL_STATE(281)] = 21804,
  [SMALL_STATE(282)] = 21856,
  [SMALL_STATE(283)] = 21906,
  [SMALL_STATE(284)] = 21956,
  [SMALL_STATE(285)] = 22006,
  [SMALL_STATE(286)] = 22056,
  [SMALL_STATE(287)] = 22106,
  [SMALL_STATE(288)] = 22156,
  [SMALL_STATE(289)] = 22206,
  [SMALL_STATE(290)] = 22256,
  [SMALL_STATE(291)] = 22306,
  [SMALL_STATE(292)] = 22356,
  [SMALL_STATE(293)] = 22406,
  [SMALL_STATE(294)] = 22456,
  [SMALL_STATE(295)] = 22506,
  [SMALL_STATE(296)] = 22556,
  [SMALL_STATE(297)] = 22639,
  [SMALL_STATE(298)] = 22689,
  [SMALL_STATE(299)] = 22769,
  [SMALL_STATE(300)] = 22849,
  [SMALL_STATE(301)] = 22899,
  [SMALL_STATE(302)] = 22949,
  [SMALL_STATE(303)] = 23029,
  [SMALL_STATE(304)] = 23099,
  [SMALL_STATE(305)] = 23149,
  [SMALL_STATE(306)] = 23199,
  [SMALL_STATE(307)] = 23249,
  [SMALL_STATE(308)] = 23299,
  [SMALL_STATE(309)] = 23349,
  [SMALL_STATE(310)] = 23399,
  [SMALL_STATE(311)] = 23449,
  [SMALL_STATE(312)] = 23499,
  [SMALL_STATE(313)] = 23579,
  [SMALL_STATE(314)] = 23629,
  [SMALL_STATE(315)] = 23679,
  [SMALL_STATE(316)] = 23729,
  [SMALL_STATE(317)] = 23779,
  [SMALL_STATE(318)] = 23829,
  [SMALL_STATE(319)] = 23879,
  [SMALL_STATE(320)] = 23929,
  [SMALL_STATE(321)] = 24009,
  [SMALL_STATE(322)] = 24079,
  [SMALL_STATE(323)] = 24129,
  [SMALL_STATE(324)] = 24176,
  [SMALL_STATE(325)] = 24221,
  [SMALL_STATE(326)] = 24266,
  [SMALL_STATE(327)] = 24311,
  [SMALL_STATE(328)] = 24356,
  [SMALL_STATE(329)] = 24401,
  [SMALL_STATE(330)] = 24446,
  [SMALL_STATE(331)] = 24508,
  [SMALL_STATE(332)] = 24570,
  [SMALL_STATE(333)] = 24610,
  [SMALL_STATE(334)] = 24672,
  [SMALL_STATE(335)] = 24734,
  [SMALL_STATE(336)] = 24793,
  [SMALL_STATE(337)] = 24832,
  [SMALL_STATE(338)] = 24888,
  [SMALL_STATE(339)] = 24944,
  [SMALL_STATE(340)] = 25000,
  [SMALL_STATE(341)] = 25056,
  [SMALL_STATE(342)] = 25112,
  [SMALL_STATE(343)] = 25168,
  [SMALL_STATE(344)] = 25224,
  [SMALL_STATE(345)] = 25280,
  [SMALL_STATE(346)] = 25336,
  [SMALL_STATE(347)] = 25392,
  [SMALL_STATE(348)] = 25448,
  [SMALL_STATE(349)] = 25504,
  [SMALL_STATE(350)] = 25570,
  [SMALL_STATE(351)] = 25626,
  [SMALL_STATE(352)] = 25682,
  [SMALL_STATE(353)] = 25738,
  [SMALL_STATE(354)] = 25804,
  [SMALL_STATE(355)] = 25860,
  [SMALL_STATE(356)] = 25916,
  [SMALL_STATE(357)] = 25991,
  [SMALL_STATE(358)] = 26066,
  [SMALL_STATE(359)] = 26141,
  [SMALL_STATE(360)] = 26216,
  [SMALL_STATE(361)] = 26291,
  [SMALL_STATE(362)] = 26366,
  [SMALL_STATE(363)] = 26441,
  [SMALL_STATE(364)] = 26493,
  [SMALL_STATE(365)] = 26545,
  [SMALL_STATE(366)] = 26597,
  [SMALL_STATE(367)] = 26649,
  [SMALL_STATE(368)] = 26701,
  [SMALL_STATE(369)] = 26753,
  [SMALL_STATE(370)] = 26805,
  [SMALL_STATE(371)] = 26857,
  [SMALL_STATE(372)] = 26909,
  [SMALL_STATE(373)] = 26961,
  [SMALL_STATE(374)] = 27013,
  [SMALL_STATE(375)] = 27065,
  [SMALL_STATE(376)] = 27117,
  [SMALL_STATE(377)] = 27169,
  [SMALL_STATE(378)] = 27221,
  [SMALL_STATE(379)] = 27273,
  [SMALL_STATE(380)] = 27343,
  [SMALL_STATE(381)] = 27412,
  [SMALL_STATE(382)] = 27481,
  [SMALL_STATE(383)] = 27530,
  [SMALL_STATE(384)] = 27599,
  [SMALL_STATE(385)] = 27668,
  [SMALL_STATE(386)] = 27737,
  [SMALL_STATE(387)] = 27806,
  [SMALL_STATE(388)] = 27875,
  [SMALL_STATE(389)] = 27944,
  [SMALL_STATE(390)] = 28013,
  [SMALL_STATE(391)] = 28082,
  [SMALL_STATE(392)] = 28151,
  [SMALL_STATE(393)] = 28220,
  [SMALL_STATE(394)] = 28289,
  [SMALL_STATE(395)] = 28358,
  [SMALL_STATE(396)] = 28427,
  [SMALL_STATE(397)] = 28496,
  [SMALL_STATE(398)] = 28565,
  [SMALL_STATE(399)] = 28634,
  [SMALL_STATE(400)] = 28703,
  [SMALL_STATE(401)] = 28772,
  [SMALL_STATE(402)] = 28841,
  [SMALL_STATE(403)] = 28910,
  [SMALL_STATE(404)] = 28979,
  [SMALL_STATE(405)] = 29048,
  [SMALL_STATE(406)] = 29117,
  [SMALL_STATE(407)] = 29186,
  [SMALL_STATE(408)] = 29255,
  [SMALL_STATE(409)] = 29324,
  [SMALL_STATE(410)] = 29393,
  [SMALL_STATE(411)] = 29462,
  [SMALL_STATE(412)] = 29531,
  [SMALL_STATE(413)] = 29600,
  [SMALL_STATE(414)] = 29669,
  [SMALL_STATE(415)] = 29735,
  [SMALL_STATE(416)] = 29773,
  [SMALL_STATE(417)] = 29811,
  [SMALL_STATE(418)] = 29877,
  [SMALL_STATE(419)] = 29915,
  [SMALL_STATE(420)] = 29953,
  [SMALL_STATE(421)] = 30019,
  [SMALL_STATE(422)] = 30052,
  [SMALL_STATE(423)] = 30089,
  [SMALL_STATE(424)] = 30126,
  [SMALL_STATE(425)] = 30160,
  [SMALL_STATE(426)] = 30194,
  [SMALL_STATE(427)] = 30226,
  [SMALL_STATE(428)] = 30260,
  [SMALL_STATE(429)] = 30291,
  [SMALL_STATE(430)] = 30322,
  [SMALL_STATE(431)] = 30353,
  [SMALL_STATE(432)] = 30384,
  [SMALL_STATE(433)] = 30415,
  [SMALL_STATE(434)] = 30446,
  [SMALL_STATE(435)] = 30477,
  [SMALL_STATE(436)] = 30508,
  [SMALL_STATE(437)] = 30539,
  [SMALL_STATE(438)] = 30570,
  [SMALL_STATE(439)] = 30601,
  [SMALL_STATE(440)] = 30632,
  [SMALL_STATE(441)] = 30663,
  [SMALL_STATE(442)] = 30694,
  [SMALL_STATE(443)] = 30725,
  [SMALL_STATE(444)] = 30756,
  [SMALL_STATE(445)] = 30781,
  [SMALL_STATE(446)] = 30806,
  [SMALL_STATE(447)] = 30831,
  [SMALL_STATE(448)] = 30852,
  [SMALL_STATE(449)] = 30872,
  [SMALL_STATE(450)] = 30892,
  [SMALL_STATE(451)] = 30912,
  [SMALL_STATE(452)] = 30932,
  [SMALL_STATE(453)] = 30952,
  [SMALL_STATE(454)] = 30972,
  [SMALL_STATE(455)] = 30994,
  [SMALL_STATE(456)] = 31014,
  [SMALL_STATE(457)] = 31034,
  [SMALL_STATE(458)] = 31056,
  [SMALL_STATE(459)] = 31076,
  [SMALL_STATE(460)] = 31096,
  [SMALL_STATE(461)] = 31115,
  [SMALL_STATE(462)] = 31134,
  [SMALL_STATE(463)] = 31153,
  [SMALL_STATE(464)] = 31172,
  [SMALL_STATE(465)] = 31191,
  [SMALL_STATE(466)] = 31210,
  [SMALL_STATE(467)] = 31229,
  [SMALL_STATE(468)] = 31248,
  [SMALL_STATE(469)] = 31267,
  [SMALL_STATE(470)] = 31286,
  [SMALL_STATE(471)] = 31305,
  [SMALL_STATE(472)] = 31324,
  [SMALL_STATE(473)] = 31347,
  [SMALL_STATE(474)] = 31370,
  [SMALL_STATE(475)] = 31393,
  [SMALL_STATE(476)] = 31416,
  [SMALL_STATE(477)] = 31439,
  [SMALL_STATE(478)] = 31462,
  [SMALL_STATE(479)] = 31485,
  [SMALL_STATE(480)] = 31506,
  [SMALL_STATE(481)] = 31527,
  [SMALL_STATE(482)] = 31548,
  [SMALL_STATE(483)] = 31569,
  [SMALL_STATE(484)] = 31590,
  [SMALL_STATE(485)] = 31611,
  [SMALL_STATE(486)] = 31632,
  [SMALL_STATE(487)] = 31646,
  [SMALL_STATE(488)] = 31665,
  [SMALL_STATE(489)] = 31684,
  [SMALL_STATE(490)] = 31703,
  [SMALL_STATE(491)] = 31722,
  [SMALL_STATE(492)] = 31741,
  [SMALL_STATE(493)] = 31759,
  [SMALL_STATE(494)] = 31777,
  [SMALL_STATE(495)] = 31795,
  [SMALL_STATE(496)] = 31813,
  [SMALL_STATE(497)] = 31831,
  [SMALL_STATE(498)] = 31849,
  [SMALL_STATE(499)] = 31867,
  [SMALL_STATE(500)] = 31885,
  [SMALL_STATE(501)] = 31897,
  [SMALL_STATE(502)] = 31914,
  [SMALL_STATE(503)] = 31931,
  [SMALL_STATE(504)] = 31948,
  [SMALL_STATE(505)] = 31965,
  [SMALL_STATE(506)] = 31982,
  [SMALL_STATE(507)] = 31999,
  [SMALL_STATE(508)] = 32013,
  [SMALL_STATE(509)] = 32027,
  [SMALL_STATE(510)] = 32041,
  [SMALL_STATE(511)] = 32053,
  [SMALL_STATE(512)] = 32067,
  [SMALL_STATE(513)] = 32081,
  [SMALL_STATE(514)] = 32095,
  [SMALL_STATE(515)] = 32109,
  [SMALL_STATE(516)] = 32123,
  [SMALL_STATE(517)] = 32137,
  [SMALL_STATE(518)] = 32151,
  [SMALL_STATE(519)] = 32165,
  [SMALL_STATE(520)] = 32179,
  [SMALL_STATE(521)] = 32193,
  [SMALL_STATE(522)] = 32204,
  [SMALL_STATE(523)] = 32215,
  [SMALL_STATE(524)] = 32226,
  [SMALL_STATE(525)] = 32237,
  [SMALL_STATE(526)] = 32248,
  [SMALL_STATE(527)] = 32257,
  [SMALL_STATE(528)] = 32268,
  [SMALL_STATE(529)] = 32279,
  [SMALL_STATE(530)] = 32290,
  [SMALL_STATE(531)] = 32301,
  [SMALL_STATE(532)] = 32309,
  [SMALL_STATE(533)] = 32317,
  [SMALL_STATE(534)] = 32325,
  [SMALL_STATE(535)] = 32333,
  [SMALL_STATE(536)] = 32341,
  [SMALL_STATE(537)] = 32349,
  [SMALL_STATE(538)] = 32357,
  [SMALL_STATE(539)] = 32365,
  [SMALL_STATE(540)] = 32373,
  [SMALL_STATE(541)] = 32381,
  [SMALL_STATE(542)] = 32389,
  [SMALL_STATE(543)] = 32397,
  [SMALL_STATE(544)] = 32405,
  [SMALL_STATE(545)] = 32413,
  [SMALL_STATE(546)] = 32421,
  [SMALL_STATE(547)] = 32429,
  [SMALL_STATE(548)] = 32437,
  [SMALL_STATE(549)] = 32445,
  [SMALL_STATE(550)] = 32453,
  [SMALL_STATE(551)] = 32461,
  [SMALL_STATE(552)] = 32469,
  [SMALL_STATE(553)] = 32477,
  [SMALL_STATE(554)] = 32485,
  [SMALL_STATE(555)] = 32493,
  [SMALL_STATE(556)] = 32501,
  [SMALL_STATE(557)] = 32509,
  [SMALL_STATE(558)] = 32517,
  [SMALL_STATE(559)] = 32525,
  [SMALL_STATE(560)] = 32533,
  [SMALL_STATE(561)] = 32541,
  [SMALL_STATE(562)] = 32549,
  [SMALL_STATE(563)] = 32557,
  [SMALL_STATE(564)] = 32565,
  [SMALL_STATE(565)] = 32573,
  [SMALL_STATE(566)] = 32581,
  [SMALL_STATE(567)] = 32589,
  [SMALL_STATE(568)] = 32597,
  [SMALL_STATE(569)] = 32605,
  [SMALL_STATE(570)] = 32613,
  [SMALL_STATE(571)] = 32621,
  [SMALL_STATE(572)] = 32629,
  [SMALL_STATE(573)] = 32637,
  [SMALL_STATE(574)] = 32645,
  [SMALL_STATE(575)] = 32653,
  [SMALL_STATE(576)] = 32661,
  [SMALL_STATE(577)] = 32669,
  [SMALL_STATE(578)] = 32677,
  [SMALL_STATE(579)] = 32685,
  [SMALL_STATE(580)] = 32693,
  [SMALL_STATE(581)] = 32701,
  [SMALL_STATE(582)] = 32709,
  [SMALL_STATE(583)] = 32717,
  [SMALL_STATE(584)] = 32725,
  [SMALL_STATE(585)] = 32733,
  [SMALL_STATE(586)] = 32741,
  [SMALL_STATE(587)] = 32749,
  [SMALL_STATE(588)] = 32757,
  [SMALL_STATE(589)] = 32765,
  [SMALL_STATE(590)] = 32773,
  [SMALL_STATE(591)] = 32781,
  [SMALL_STATE(592)] = 32789,
  [SMALL_STATE(593)] = 32797,
  [SMALL_STATE(594)] = 32805,
  [SMALL_STATE(595)] = 32813,
  [SMALL_STATE(596)] = 32821,
  [SMALL_STATE(597)] = 32829,
  [SMALL_STATE(598)] = 32837,
  [SMALL_STATE(599)] = 32845,
  [SMALL_STATE(600)] = 32853,
  [SMALL_STATE(601)] = 32861,
  [SMALL_STATE(602)] = 32869,
  [SMALL_STATE(603)] = 32877,
  [SMALL_STATE(604)] = 32885,
  [SMALL_STATE(605)] = 32893,
  [SMALL_STATE(606)] = 32901,
  [SMALL_STATE(607)] = 32909,
  [SMALL_STATE(608)] = 32917,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infrastructure, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(44),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(114),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(476),
  [152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 6),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 6),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lhs_expression, 1, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 3),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 3),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 2, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 2, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 5),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 5),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_expression, 3, 0, 7),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_expression, 3, 0, 7),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 9),
  [307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 9),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 4, 0, 10),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 4, 0, 10),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 11),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 11),
  [325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 12),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 12),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0), REDUCE(sym_parenthesized_expression, 2, 0, 0),
  [334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0), REDUCE(sym_parenthesized_expression, 2, 0, 0),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 3, 0, 0),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 3, 0, 0),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0), REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0), REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0), REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0), REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3, 0, 0),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3, 0, 0),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 5, 0, 0),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 5, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 6, 0, 0),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 6, 0, 0),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 6, 0, 0),
  [401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 6, 0, 0),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 14),
  [405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 14),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 15),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 15),
  [411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 16),
  [413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 16),
  [415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 4),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 4),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 8),
  [455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 8),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2, 0, 0),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2, 0, 0),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_property, 3, 0, 1),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_property, 3, 0, 1),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_property, 3, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_property, 3, 0, 0),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_type_expression, 3, 0, 5),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_type_expression, 3, 0, 5),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, 0, 0),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_metadata_declaration, 4, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_declaration, 5, 0, 0),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(34),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_with_statement, 4, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_builtin_type_repeat1, 2, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__array_builtin_type_repeat1, 2, 0, 0),
  [630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_builtin_type_repeat1, 2, 0, 0), SHIFT_REPEAT(566),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_decorators_repeat1, 2, 0, 0),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorators_repeat1, 2, 0, 0),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorators_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorators, 1, 0, 0),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorators, 1, 0, 0),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_builtin_type, 2, 0, 0),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_builtin_type, 2, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(521),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(485),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infrastructure, 1, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0),
  [744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(525),
  [753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(548),
  [756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(608),
  [759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(595),
  [762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(557),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(572),
  [771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(577),
  [774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_infrastructure_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_builtin_type_repeat1, 2, 0, 0), SHIFT_REPEAT(586),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorators_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 0),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 0),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_property, 1, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_property, 1, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 5, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 5, 0, 0),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resource_declaration, 6, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_declaration, 6, 0, 0),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorators_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_string, 5, 0, 0),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 0),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 2),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 0),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_functionality, 8, 0, 0),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_functionality, 6, 0, 0),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, 0, 0),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_functionality, 9, 0, 0),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_scope_assignment, 3, 0, 0),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_functionality, 7, 0, 0),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_functionality_repeat1, 2, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_functionality_repeat1, 2, 0, 0), SHIFT_REPEAT(598),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_functionality_repeat1, 4, 0, 0),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compatible_identifier, 2, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_loop_parameters, 5, 0, 13),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1146] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compatible_identifier, 2, 0, 1),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_bicep(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
